:: To uninstall a single component or specific components for testing purposes:    setup-##.exe --language 0  --force-uninstall-list # --noautoupdate
:: To uninstall a complete mod for testing purposes:                               setup-##.exe --language 0  --uninstall --noautoupdate
:: replace ## with the modname and # with the component number(s) and 0 if necessary with the actual language number.
:: Caution: Only if you know exactly what you are doing! You could ruin your whole installation!

:: Within a codeblock there may only be used "rem" instead of colons "::"

:: findstr and logical operations:
:: A AND B: findstr /I /M "A" txt>nul && findstr /I /M "B" txt>nul
:: A OR B: findstr /I /M "A B" txt>nul 
:: (A AND B) OR C: findstr /I /M "A C" txt>nul && findstr /I /M "B C" txt>nul
:: (A OR B) AND C: findstr /I /M "A B" txt>nul && findstr /I /M "C" txt>nul
:: Either A OR B is missing: findstr /I /M "A" txt>nul && findstr /I /M "B" txt>nul combined with errorlevel 1
:: Neither A NOR B: findstr /I /M "A B" txt>nul combined with errorlevel 1
:: %errorlevel%==0 means "if exist", %errorlevel%==1 means "if not exist"
:: Don't use "if %errorlevel%==1" within nestled a conditioned branch, use "if errorlevel 1" instead. Instead of "if %errorlevel%==0" use "if not errorlevel 1"
:: In the context of errorlevel there must be "&&" instead of "&" to read the full line otherwise only the part after "&" would be read.

SET SLAQ="LargeQuest" %SET%
SET SMEQ="MediumQuest" %SET%
SET SSMQ="SmallQuest" %SET%
SET SEAQ="EasyQuest" %SET%
SET SHAQ="HardQuest" %SET%
SET SSTQ="StandardQuest" %SET%
SET SXTQ="ExpertQuest" %SET%

SET SBPC="NPCBanter" %SET%
SET SCPC="ContinuingNPC" %SET%
SET SNPC="NewAddedNPC" %SET%
SET SOPC="OneDayNPC" %SET%
SET SABC="SoAToBContentNPCOnly" %SET%
SET SVPC="VoicedNPCOnly" %SET%
SET SCOM="Companions" %SET%

SET SITM="NewItems" %SET%
SET SSPL="NewSpells" %SET%
SET SEIS="EasyItemSpell" %SET%
SET SSIS="StandardItemSpell" %SET%
SET SOIS="OverpoweredItemSpell" %SET%

SET SCOR="Correction" %SET%
SET SRES="Restoration" %SET%
SET SKIT="NewKit" %SET%	
SET STAC="TacticMod" %SET%	

SET SHCH="HeavyChallenges" %SET%
SET SLCH="LightChallenges" %SET%
SET SMCH="MediumChallenges" %SET%
SET SVCH="VeryHardChallenges" %SET%
SET SXCH="ExtremeChallenges" %SET%
SET SLMCH="LightChallenges MediumChallenges" %SET%
SET SMHCH="MediumChallenges HeavyChallenges" %SET%
SET SHVCH="HeavyChallenges VeryHardChallenges" %SET%
SET SVXCH="VeryHardChallenges ExtremeChallenges" %SET%

SET SATW="AITweak" %SET%
SET SCTW="ConvenienceTweak" %SET%
SET SDTW="IWDTweak" %SET%
SET SGTW="GameplayTweak" %SET%
SET SHTW="HLATweak" %SET%
SET SITW="ItemTweak" %SET%
SET SKTW="KitTweak" %SET%
SET SMTW="MiscTweak" %SET%
SET SPTW="PnPTweak" %SET%
SET SRTW="RuleTweak" %SET%
SET SSTW="SpellTweak" %SET%
SET SXTW="XPTweak" %SET%

SET SCTK="CheatTweak" %SET%
SET SETK="EasyTweak" %SET%
SET SHTK="HeavyTweak" %SET%
SET SSTK="StandardTweak" %SET%
SET SXTK="ExtremeTweak" %SET%
SET SESTK="EasyTweak StandardTweak" %SET%
SET SHXTK="HeavyTweak ExtremeTweak" %SET%

SET SCPT="Scripts" %SET%
SET SFUN="FunMod" %SET%
SET SGRA="Graphic" %SET%
SET SINC="IncongruousMod" %SET%
SET SPOR="Portrait" %SET%

SET SADU="AdultContent" %SET%
SET SBET="BetaVersion" %SET%
SET SBUG="Buggymod" %SET%
SET SXPL="ExperiencedPlayer" %SET%

SET SLRD="LowRated" %SET%
SET SMRD="MidRated" %SET%
SET SNRD="NotRated" %SET%
SET STRD="TopRated" %SET%

%.%
%.%
%.%1. CORRECTIONS AND IMPROVEMENTS | %M%
%.%
%.%
%IFG% Call %INST% TP "0"
%IFF% Call %INST% correcfrbg2 "0"
%IFH% Call %INST% Traduccion_Mejorada "0"

Call %INSTI% TobEx "100 101 102 105 107 108 109 111 112 113 114 115 116 117 118 120 121 122 123 124"
%IFNS%spell_rev.exe Call %INST% TobEx "103"

findstr /I /M %SMEQ%>nul && findstr /I /M %SHAQ%>nul
if %errorlevel%==0 (
	Call %INSTI% Ascension "0"
)
findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	Call %INSTI% Ascension "1 2 3 4 5"
) 

findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	Call %INST% TheUndying "1"

	Call %INST% Oversight "0"
)

Call %INST% bg2fixpack "0 3"
%IFE% Call %INSTI% bg2fixpack "1000"
findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INSTI% bg2fixpack "100 101 102 103 104 106 107 108 109 110 111 112 113 114 115 116"
)

Call %INSTI% BDToBv168 "0 2 3 7"
findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	%IFNS%BP%IFNIF%DSoA.exe Call %INSTI% BDToBv168 "5"
)

findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INST% iiKeyNames "2001"
)

%IFN% .\1pp\core\1ppv4_pro Call %INSTI% 1pp "0 2 7 8 9"
Call %INSTI% 1pp "101"
findstr /I /M "3D.Acceleration=1" baldur.ini
if %errorlevel%==0 (
	Call %INSTI% 1pp "114" "TYPE 1PP114_input.txt"
)
%IFNS%item_rev.exe Call %INSTI% 1pp "200" 1
%IFS%item_rev.exe Call %INSTI% 1pp "200" 2
%.%
%.%
%.%2. NEJ | %M%
%.%
%.%
:: We need the files unbiffed in the override!
findstr /I /M %SLAQ%>nul && findstr /I /M %SXTQ%>nul && findstr /I /M %SXPL%>nul
if %errorlevel%==0 (
	%IFNS%NeJ2v691%IFNIF%NeJ2v68.exe Call %INSTI% NeJ2 "0 7 10"
)
findstr /I /M %SKIT%>nul
if %errorlevel%==0 (
	%IFNS%NeJ2v691%IFNIF%NeJ2v68.exe Call %INSTI% NeJ2 "8 9"
)

findstr /I /M "NEJ2.TP2~.*#.*#7./" WeiDU.log>nul
if %errorlevel%==0 (
	Call %INST% BGTNeJ "0"
	Call %INST% NeJ2v602 "0"
) else (
	%IFS%NeJ2v602.exe %TXT% | findstr @135 | Call %C% >> %E%
)
findstr /I /M "CKeepYosh" %SET%>nul
if %errorlevel%==1 (
	%IFS%TS-BP%IFNIF%NeJ2v691.exe Call %INST% NeJ2v602 "2"
)

%IFNS%NeJ2v691%IFNIF%NeJ2v68.exe copy /Y ".\%BWFP%\_override\NEJ2\*.*" ".\override" | %M%
%IFS%randomiser%IFNIF%NeJ2v691.exe copy /Y ".\NeJ2\NEJ-BIFF\override\obsdem01.cre" ".\override" | %M%
%.%
%.%
%.%3. BIG BG2 MODS PRE BGT | %M%
%.%
%.%
findstr /I /M %SLAQ%>nul && findstr /I /M %SHAQ%>nul
if %errorlevel%==0 (
	Call %INST% SOS "0"

	findstr /I /M %SXPL%>nul
	if not errorlevel 1 (
		Call %INST% CtB "0"
		findstr /I /M "CTB.TP2~.*#.*#0./" WeiDU.log>nul
		if not errorlevel 1 (
			Call %INST% CtB-Chores "0"
			Call %INST% CtB_FF "0"
			Call %INST% TethyrForestPatch "0"
			Call %INST% CtBcutImp "0"
		)
	)

	findstr /I /M "CKeepYosh" %SET%>nul
	if errorlevel 1 (
		%IFNS%NeJ2v691%IFNIF%NeJ2v68%IFNIF%TS.exe Call %INST% TS-BP "0"
	) else (
		%IFS%TS-BP.exe %TXT% | findstr @392 | Call %C% >> %E%
	)
)

findstr /I /M %SLAQ%>nul && findstr /I /M %SHAQ%>nul
if %errorlevel%==0 (
	findstr /I /M "COctDrizzt" %SET%>nul
	if errorlevel 1 (
		Call %INST% RoT "0"
	) else (
		%IFS%DKDrizzt.exe %TXT% | findstr @124 | Call %C% >> %E%
	)
)
findstr /I /M %SKIT%>nul
if %errorlevel%==0 (
	Call %INST% RoT "1"
)

findstr /I /M "SOS.TP2~.*#.*#0./ CtB.TP2~.*#.*#0./" WeiDU.log>nul && findstr /I /M "RoT.TP2~.*#.*#0./" WeiDU.log>nul
if %errorlevel%==0 (
	copy /Y ".\RoTerror\anim\Yeti\*.bam" ".\override" | %M%
)

findstr /I /M %SBG1%>nul
if %errorlevel%==1 (
	GOTO :SKIPBG1a
)
%.%
%.%
%.%
%.%4. BGT | %M%
%.%
%.%
%.%
%.%
%.%
%.%
:: path for BG1
%NMAC% %IFS%BGT.exe %TXT% | findstr @089 | Call %C%
:: %MAC% %IFS%BGT.exe %TXT% | findstr @389 | Call %C%
%.%
%.%
%.%
%.%
%.%
Call %INST% BGT "0" "TYPE BWP_BGT_input.txt"
:: The repetition is precautionally because occasionally at this place for unknown reasons the installer stumbles.
findstr /I /M "BGT.TP2~.*#.*#0./" WeiDU.log>nul
if %errorlevel%==1 (
	Call %INST% BGT "0" "TYPE BWP_BGT_input.txt"
)

Call %INST% BGTMusic "2"

Call %INST% bggraphics "0" "TYPE bggraphics_input.txt"

%IFNS%JA#BGT_AdvPack.exe Call %INST% JondalarFix "0"

%IFG% Call %INST% TP "1"

%IFG% Call %INST% BGT-NPCSound "0" 2>NUL
%.%Don't worry about the "error: unrecognized file signature, must be..." messages | %M%

Call %INST% TxtMusic "0"

findstr /I /M "NEJ2.TP2~.*#.*#7./" WeiDU.log>nul
if %errorlevel%==0 (
	Call %INST% BGTNeJ2 "0"
	findstr /I /M "CSharTeel CBG1NPCSoA" %SET%>nul
	if errorlevel 1 (
		Call %INST% BGTNeJ2 "3"
	) else (
		%IFS%BGTNeJ2.exe %TXT% | findstr @401 | Call %C% >> %E%
	)
) else (
	%IFS%BGTNeJ2.exe %TXT% | findstr @136 | Call %C% >> %E%
)

%IFNS%NeJ2v691%IFNIF%NeJ2v68.exe (
	findstr /I /M %SKTW%>nul
	if not errorlevel 1 (
		findstr /I /M "NEJ2.TP2~.*#.*#7./" WeiDU.log>nul && findstr /I /M "CNoNEJImoen" %SET%>nul
		if errorlevel 1 (
			Call %INST% BGTNeJ "0"
		) else (
			%IFS%BGTNeJ.exe %TXT% | findstr @131 | Call %C% >> %E%
		)
		Call %INSTI% BGTNEJ "2"
	)
	findstr /I /M %SMTW%>nul
	if not errorlevel 1 (
		Call %INSTI% BGTNEJ "4"
	)
	Call %INSTI% BGTNEJ "5 6 7"
	%IFNS%stratagems.exe Call %INSTI% BGTNEJ "8"
)

:SKIPBG1a
%.%
%.%
%.%5. BIG BG2 MODS PAST BGT | %M%
%.%
%.%
%IF% ".\%BWFP%\_temp\tisunpack.exe" copy ".\%BWFP%\_temp\tisunpack.exe" "*.*" | %M%

%IFNS%NeJ2v691.exe (
	findstr /I /M %SLAQ%>nul && findstr /I /M %SHAQ%>nul && findstr /I /M %SXPL%>nul
	if not errorlevel 1 (
		Call %INSTI% NeJ2v68 "0 10"
	)
	findstr /I /M %SKTW%>nul
	if not errorlevel 1 (
		findstr /I /M "CNoNEJImoen" %SET%>nul
		if errorlevel 1 (
			Call %INSTI% NeJ2v68 "1"
		) else (
			%IFS%NeJ2v68.exe %TXT% | findstr @131 | Call %C% >> %E%
		)
		Call %INSTI% NeJ2v68 "3"
		findstr /I /M "CSharTeel CBG1NPCSoA" %SET%>nul
		if errorlevel 1 (
			Call %INST% NeJ2v68 "6"
		) else (
			%IFS%NeJ2v68.exe %TXT% | findstr @401 | Call %C% >> %E%
		)
	)
	findstr /I /M %SMTW%>nul
	if not errorlevel 1 (
		Call %INSTI% NeJ2v68 "5"
	)
	findstr /I /M %SBG1%>nul
	if not errorlevel 1 (
		Call %INSTI% NeJ2v68 "7 8"
		%IFNS%stratagems.exe Call %INSTI% NeJ2v68 "9"
	)
)

findstr /I /M %SLAQ%>nul && findstr /I /M %SHAQ%>nul && findstr /I /M %SXPL%>nul
if %errorlevel%==0 (
	Call %INSTI% NeJ2v691 "0 7 12"
)
findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	findstr /I /M "CNoNEJImoen" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% NeJ2v691 "1"
	) else (
		%IFS%NeJ2v691.exe %TXT% | findstr @131 | Call %C% >> %E%
	)
	Call %INSTI% NeJ2v691 "3"
	findstr /I /M "CSharTeel CBG1NPCSoA" %SET%>nul
	if errorlevel 1 (
		Call %INST% NeJ2v691 "6"
	) else (
		%IFS%NeJ2v691.exe %TXT% | findstr @401 | Call %C% >> %E%
	)
)
findstr /I /M %SMTW%>nul
if %errorlevel%==0 (
	Call %INSTI% NeJ2v691 "5 8"
)
findstr /I /M %SBG1%>nul
if %errorlevel%==0 (
	Call %INSTI% NeJ2v691 "9 10"
	%IFNS%stratagems.exe Call %INSTI% NeJ2v691 "11"
)

findstr /I /M "NEJ2V691.TP2~.*#.*#6./" WeiDU.log>nul
if %errorlevel%==0 (
	Call %INST% NeJ2v694 "0"
)

:: for all versions of NEJ
%IF% .\NEJ2 copy /Y ".\%BWFP%\_override\NEJ2\*.*" ".\override" | %M%

findstr /I /M %SLAQ%>nul && findstr /I /M %SHAQ%>nul
if %errorlevel%==0 (
	findstr /I /M "CKeepYosh" %SET%>nul
	if errorlevel 1 (
		%IFNS%TS-BP.exe Call %INST% TS "0 3"
	) else (
		%IFS%TS.exe %TXT% | findstr @392 | Call %C% >> %E%
	)
	%IFNS%NeJ2v691%IFNIF%NeJ2v68%IFNIF%NEJ2%IFNS%TS-BP.exe Call %INST% TS "1"
)

%IFS%TS.exe copy ".\%BWFP%\_override\GUI_original_fonts\*.*" ".\override" | %M%

findstr /I /M %SLAQ%>nul && findstr /I /M %SHAQ%>nul
if %errorlevel%==0 (
	findstr /I /M "CSharTeel CEllesime" %SET%>nul
	if errorlevel 1 (
		Call %INST% TDD "0"
	) else (
		%IFS%TDD.exe %TXT% | findstr @405 | Call %C% >> %E%
	)
)
findstr /I /M %SKIT%>nul
if %errorlevel%==0 (
	Call %INST% TDD "1"
)

findstr /I /M %SBG1%>nul
if %errorlevel%==1 (
	GOTO :SKIPBG1b
)
%.%
%.%
%.%6. BIG BG1 MODS | %M%
%.%
%.%
findstr /I /M %SLAQ%>nul
if %errorlevel%==0 (
	findstr /I /M %SHAQ%>nul
	if not errorlevel 1 (
		Call %INST% DarkHorizons "0"
	)

	findstr /I /M %SSTQ%>nul
	if not errorlevel 1 (
		Call %INSTI% DSotSC "5 100 200 400 410 420 430 440 450 460 470 480"

		Call %INST% NTotSC "0"
		findstr /I /M "NTOTSC.TP2~.*#.*#0./" WeiDU.log>nul
		if not errorlevel 1 (
			Call %INST% NTotSCv171 "0"
		)

		Call %INST% BoneHillv275 "0"
	)
	findstr /I /M %SHAQ%>nul
	if not errorlevel 1 (
		Call %INST% drizztsaga "1 3"
	)
)
%.%
%.%
%.%7. BG1 QUEST MODS | %M%
%.%
%.%
findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	Call %INST% Vault "0"
	%IFS%item_rev.exe CALL %INST% vault "1"
)

findstr /I /M %SMEQ%>nul
if %errorlevel%==0 (
	findstr /I /M %SEAQ%>nul
	if not errorlevel 1 (
		Call %INST% bgqe "0 1 2 3 4 5 6 7 8 9"
	)

	findstr /I /M %SSTQ%>nul
	if not errorlevel 1 (
		Call %INST% TGC1E "0"

		Call %INST% SirinesCall "0"

		%IFS%SOA.exe copy /Y ".\%BWFP%\_override\worldmap\*.*" ".\override" | %M%
		Call %INST% SOA "0"

		echo 99 HELPME >> override/shoutids.ids
		Call %INST% AC_QUEST "0"

		Call %INST% NMT "0"

		Call %INST% WBGTAP "1"
	)
)
%.%
%.%
%.%8. BG1 STORES AND ITEMS | %M%
%.%
%.%
findstr /I /M %SITM%>nul && findstr /I /M %SSIS%>nul
if %errorlevel%==0 (
	Call %INST% BW_Herbs "0"

	Call %INST% thalan "0"

	Call %INSTI% LostItems "0"
)
findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	Call %INSTI% LostItems "1 2"
)

findstr /I /M %SITM%>nul && findstr /I /M %SSIS%>nul
if %errorlevel%==0 (
	Call %INST% BGeeAR "0"

	Call %INST% BGeeW "0"

	Call %INST% Animus "0"
)
%.%
%.%
%.%9. BG1 NPC MODS | %M%
%.%
%.%
findstr /I /M %SBPC%>nul
if %errorlevel%==0 (
	Call %INSTI% bg1npc "0 1 2 3 4 5 6 7 8"
	Call %INSTI% bg1npc "9" 1
	Call %INSTI% bg1npc "10" 1
	findstr /I /M %SADU%>nul
	if not errorlevel 1 (
		Call %INSTI% bg1npc "11" 1
	)
	Call %INSTI% bg1npc "12" 1
	findstr /I /M %SADU%>nul
	if not errorlevel 1 (
		Call %INSTI% bg1npc "13" 1
	)
	Call %INSTI% bg1npc "14" 1
)
findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INSTI% bg1npc "15 25 28 31"
	findstr /I /M "bg1npcbeg" %SET%>nul
	if errorlevel 1 (
		Call %INST% bg1npc "17"
	) else (
		%IFS%bg1npc.exe %TXT% | findstr @408 | Call %C% >> %E%
	)
)
findstr /I /M %SBPC%>nul
if %errorlevel%==0 (
	Call %INSTI% bg1npc "200"
)
findstr /I /M "BG1NPC.TP2~.*#.*#0./" WeiDU.log>nul
if %errorlevel%==0 (
	Call %INST% BG1NPCMusic "0"
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	Call %INST% IndiNPC "0"

	Call %INST% Mur'Neth "0"

	Call %INST% MulgoreXaviaNPC "0"
)

findstr /I /M %SBPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		call %INST% XanBG1Friend "0"

		call %INST% coranbgfriend "0"

		call %INST% AjantisBG1 "0"
	)
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	Call %INST% ACBre "0" "TYPE ACBre_input.txt"

	%IFGS%FinchNPC.exe del ".\finch\audio\IMOEN28.WAV" | %M%
	Call %INST% FinchNPC "0"

	Call %INST% gavin "0 1" 1
	findstr /I /M %SADU%>nul
	if not errorlevel 1 (
		Call %INST% gavin "2"
	)
	Call %INST% gavin "4 13"

	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		Call %INSTI% Huple_NPC "0 1"

		Call %INST% ChaosKnight "0"

		findstr /I /M "ChaosKnight.TP2~.*#.*#0./" WeiDU.log>nul
		if not errorlevel 1 (
			Call %INST% Askaria "0"
		) else (
			%IFS%Askaria.exe %TXT% | findstr @352 | Call %C% >> %E%
		)

		Call %INST% valerie "0"
	)

	Call %INSTI% isra "0"
	findstr /I /M %SBPC%>nul
	if not errorlevel 1 (
		Call %INSTI% isra "1 2"
	)

	Call %INST% White "0"
)

findstr /I /M %SBPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		findstr /I /M "CGarricktales" %SET%>nul
		if errorlevel 1 (
			Call %INST% garrick_flirt "0" 1
		) else (
			%IFS%garrick_flirt.exe %TXT% | findstr @409 | Call %C% >> %E%
		)
		findstr /I /M "CGarrickflirt" %SET%>nul
		if errorlevel 1 (
			Call %INST% garrick-tt "0"
		) else (
			%IFS%garrick-tt.exe %TXT% | findstr @409 | Call %C% >> %E%
		)
	)
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	Call %INST% Vynd "0"
)

findstr /I /M %SBPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		findstr /I /M %SADU%>nul
		if not errorlevel 1 (
			Call %INST% bg1re "0" "TYPE bg1re_adult_input.txt"
		) else (
			Call %INST% bg1re "0" "TYPE bg1re_input.txt"
		)
	Call %INST% bg1re "1 2 3 4 5 6 7 8 9 10 11 12 13 15 16 17 18 19 20 21 23 24 25 27 28 31 32 33 34 35 36 37 38 39 40"
)
findstr /I /M %SSMQ%>nul && findstr /I /M %SEAQ%>nul
if %errorlevel%==0 (
	Call %INST% bg1re "14 22 26 29 30"
)
%.%
%.%
%.%10. BG1 RULES AND TWEAKS | %M%
%.%
%.%
findstr /I /M %SRES%>nul
if %errorlevel%==0 (
	Call %INSTI% bg1ub "0 1 2"
	REM components 3, 4, 5, 6, 7 will be skipped, if BG1 NPC Project is installed
	findstr /I /M "BG1NPC.TP2~.*#.*#1./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%bg1ub.exe %TXT% | findstr @300 | Call %C% >> %E%
	) else (
		Call %INSTI% bg1ub "3 4 5 6 7"
	)
	Call %INSTI% bg1ub "8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 28 29 30 31"
	findstr /I /M "BG1NPC.TP2~.*#.*#30./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%bg1ub.exe %TXT% | findstr @302 | Call %C% >> %E%
	) else (
		Call %INSTI% bg1ub "27"
	)
)

findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INSTI% BGSpawn "0 1 3" 3
	findstr /I /M %STAC%>nul
	if not errorlevel 1 (
		Call %INSTI% BGSpawn "2"
	)
)

findstr /I /M %SITM%>nul
if %errorlevel%==0 (
	Call %INSTI% ktweaks "1 2 3"
	REM Ktweaks component #3 needs to be installed if component #2 is installed
)
findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INSTI% ktweaks "301"

	findstr /I /M "C1PP" %SET%>nul
	if errorlevel 1 (
	call %INST% item_rev "0 1"
	) else (
		%IFS%item_rev.exe %TXT% | findstr @410 | Call %C% >> %E%
	)
)

findstr /I /M "ITEM_REV.TP2~.*#.*#0./" WeiDU.log>nul
if %errorlevel%==0 (
	Call %INST% item_rev_shatterfix "0"
)

findstr /I /M %SRES%>nul
if %errorlevel%==0 (
	Call %INSTI% BDToBv168 "6"
)

findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	Call %INSTI% kittomes "0 4 5"
)

findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INSTI% BGTTweak "100 400 600 901 1000"
	findstr /I /M %SCTW%>nul
	if not errorlevel 1 (
		Call %INSTI% BGTTweak "800"
	)
	%IFS%BGTTweak.exe %TXT% | findstr @340 | Call %C% >> %E%
	Call %INSTI% BGTTweak "1104"
	Call %INSTI% BGTTweak "1200 1300 1502"
	findstr /I /M "BG1UB.TP2~.*#.*#16./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%BGTTweak.exe %TXT% | findstr @341 | Call %C% >> %E%
	) else (
		Call %INSTI% BGTTweak "1400"
	)
	%IFNS%RR.exe call %INSTI% BGTTweak "1700"
)
findstr /I /M %SMTW%>nul
if %errorlevel%==0 (
	Call %INSTI% BGTTweak "2001"
)
findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INSTI% BGTTweak "2100 2700"
)
findstr /I /M %SSTW%>nul
if %errorlevel%==0 (
	Call %INSTI% BGTTweak "2300"
)
findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INSTI% BGTTweak "2400 2500 2600 2800"
)

findstr /I /M %SCTW%>nul
if %errorlevel%==0 (
	Call %INST% BG_Travel "0"
)
:SKIPBG1b
%.%
%.%
%.%11. BG2 QUEST MODS | %M%
%.%
%.%
findstr /I /M %SLAQ%>nul && findstr /I /M %SSTQ%>nul
if %errorlevel%==0 (
	Call %INSTI% ToA "1 10 20 30 40 50"
)

findstr /I /M %SMEQ%>nul && findstr /I /M %SSTQ%>nul
if %errorlevel%==0 (
	Call %INST% GBThfKp "0"
	findstr /I /M %STAC%>nul
	if not errorlevel 1 (
		%IFNS%Tactics%IFNIF%BP%IFNIF%Stratagems.exe "%BWIP%"\7z.exe x -y -o".\override" .\GBThfKp\_debug\impmaevar.7z
	)

	findstr /I /M "TDD.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INST% AjocMod "0"
	) else (
		%IFS%AjocMod.exe %TXT% | findstr @303 | Call %C% >> %E%
	)

	Call %INST% TTSQ "0"

	Call %INSTI% emad "0 1 2 3 4 5"

	Call %INSTI% PlanarSphereMod "0 1 2 3"
)

findstr /I /M %SFUN%>nul && findstr /I /M %SADU%>nul && findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	Call %INSTI% tb#quest "0"
	findstr /I /M "TB#QUEST.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INSTI% tb#quest "1"
	)
)
findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	%IFS%refinements.exe Call %INSTI% tb#quest "2"
	Call %INSTI% tb#quest "3"
)

findstr /I /M %SMEQ%>nul && findstr /I /M %SSTQ%>nul
if %errorlevel%==0 (
	Call %INST% BWQuest "0"
)

findstr /I /M %SSMQ%>nul && findstr /I /M %SEAQ%>nul
if %errorlevel%==0 (
	Call %INST% c#sb_silber "0"
)

findstr /I /M %SSMQ%>nul && findstr /I /M %SSTQ%>nul
if %errorlevel%==0 (
	Call %INSTI% spgaunt "0 1 3"
)

findstr /I /M %SMEQ%>nul && findstr /I /M %SSTQ%>nul
if %errorlevel%==0 (
	Call %INST% TOD "0"
	findstr /I /M %STAC%>nul
	if not errorlevel 1 (
		Call %INST% TOD "1 2"
	)

	Call %INST% DC "0"

	Call %INST% Assassinations "0"

	Call %INST% BackBrynnlaw "0"

	Call %INST% Sellswords "0"
)
	
findstr /I /M %SSMQ%>nul && findstr /I /M %SHAQ%>nul
if %errorlevel%==0 (
	Call %INST% 1Sylm "0"
)

findstr /I /M %SMEQ%>nul && findstr /I /M %SSTQ%>nul
if %errorlevel%==0 (
	call %INST% sovereign "0 1"

	call %INST% TotDG "0 1 2"

	call %INSTI% Innershade "0 2 6"

	call %INSTI% WhiteQueen "0" 2
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	Call %INST% RUKRAKIA "0"
)

findstr /I /M %SSMQ%>nul && findstr /I /M %SSTQ%>nul
if %errorlevel%==0 (
	call %INST% ISNF "0"

	Call %INSTI% ts25mini "0 1 2 3 4 5"
)

findstr /I /M %SMEQ%>nul && findstr /I /M %SSTQ%>nul
if %errorlevel%==0 (
	Call %INST% Devin "0"

	Call %INST% Eilistraee "0 2"

	Call %INSTI% dq "0 1 2"
)
%.%
%.%
%.%12. BG2 Tactical Encounters | %M%
%.%
%.%
findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	Call %INST% AzenMOD "0 1 2"

	Call %INST% com_encounters "0 1 2"

	Call %INSTI% DSoA "1"
	findstr /I /M "BDTOBV168.TP2~.*#.*#5./" WeiDU.log>nul
	if errorlevel 1 (
		%IFNS%BP.exe Call %INSTI% DSoA "2"
	)
	%IFNS%BP.exe Call %INSTI% DSoA "3 5 7"
	Call %INSTI% DSoA "4 6 8"

	Call %INST% DofD "0"

	Call %INSTI% impasylum "0 1 2 3"
	findstr /I /M %SVXCH%>nul
	if not errorlevel 1 (
		Call %INST% Firkraag "0"
	)

	findstr /I /M %SMCH%>nul
	if not errorlevel 1 (
		Call %INST% imnesvale "0"
	)
	findstr /I /M %SHVCH%>nul
	if not errorlevel 1 (
		Call %INST% imnesvale "1"
	)
	findstr /I /M %SXCH%>nul
	if not errorlevel 1 (
		Call %INST% imnesvale "2"
	)

	findstr /I /M %SINC%>nul
	if not errorlevel 1 (
		Call %INST% DNT "0"
	)

	Call %INST% Arena "0"

	findstr /I /M %SINC%>nul
	if not errorlevel 1 (
		Call %INST% UoT "0"
	)
)
%.%
%.%
%.%13. BG2 STORES AND ITEMS | %M%
%.%
%.%
findstr /I /M %SITM%>nul
if %errorlevel%==0 (
	findstr /I /M %SOIS%>nul
	if not errorlevel 1 (
		Call %INST% AM "0"
	)
)

findstr /I /M %SITM%>nul
if %errorlevel%==0 (
	findstr /I /M %SEIS%>nul
	if not errorlevel 1 (
		Call %INST% BagBonus "0"

		Call %INST% RGenie "0"

		Call %INST% BoM "0"

		Call %INST% BG2SoA "1"
	)
	findstr /I /M %SINC%>nul && findstr /I /M %SOIS%>nul
	if not errorlevel 1 (
		Call %INST% Exnem "0 1 2"
	)
	findstr /I /M %SEIS%>nul
	if not errorlevel 1 (
		Call %INSTI% FR_ROV "0 1"

		Call %INST% HeartWood "0"
	)
	findstr /I /M %SSIS%>nul
	if not errorlevel 1 (
		Call %INST% BW_Herbs_BG2 "0"
	
		findstr /I /M "ITEM_REV.TP2~.*#.*#0./" WeiDU.log>nul
		if not errorlevel 1 (
			%IFS%ValHorn.exe %TXT% | findstr @122 | Call %C% >> %E%
		) else (
			Call %INST% ValHorn "0"
		)
	)
	findstr /I /M %SEIS%>nul
	if not errorlevel 1 (
		Call %INST% KWolf "0"
	)
	findstr /I /M %SSIS%>nul
	if not errorlevel 1 (
		Call %INST% MunchMod "0"

		Call %INSTI% RItemPack "0 1 2 4 5 6 7 8"
	)
	findstr /I /M %SEIS%>nul
	if not errorlevel 1 (
		Call %INST% Rolles "0"
		%IFNS%Item_Pack.exe Call %INST% Rolles "1"

		Call %INST% rttitempack "0"

		Call %INST% Ruad "0 1"

		Call %INST% Tzshop01 "0"

		Call %INST% AbyStore "0"

		Call %INST% Underrep "0"
	)
	findstr /I /M %SSIS%>nul
	if not errorlevel 1 (
		Call %INSTI% ItemUpgrade "10 11"
	)
)
findstr /I /M %SSPL%>nul && findstr /I /M %SSIS%>nul
if %errorlevel%==0 (
	Call %INSTI% spitems "2 3"
)

findstr /I /M %SITM%>nul
if %errorlevel%==0 (
	findstr /I /M %SEIS%>nul
	if not errorlevel 1 (
		Call %INST% cliffkey "1"

		Call %INST% BloodMort "0"

		Call %INSTI% Ebg2 "0 2"
	)
)

findstr /I /M %SBPC%>nul && findstr /I /M %SADU%>nul
if %errorlevel%==0 (
	Call %INSTI% Ebg2 "1"
)
findstr /I /M %SITW%>nul && findstr /I /M %SEIS%>nul
if %errorlevel%==0 (
	%IFNS%d0questpack.exe Call %INSTI% Ebg2 "3"
	Call %INSTI% Ebg2 "6"
)
findstr /I /M %SPOR%>nul
if %errorlevel%==0 (
	Call %INSTI% Ebg2 "4"
)
findstr /I /M %SRES%>nul
if %errorlevel%==0 (
	Call %INSTI% Ebg2 "5"
)
findstr /I /M %SKIT%>nul
if %errorlevel%==0 (
	findstr /I /M "TDD.TP2~.*#.*#1./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%Ebg2.exe %TXT% | findstr @306 | Call %C% >> %E%
	) else (
		Call %INSTI% Ebg2 "8 10 11 12 13 16 17"
	)
	Call %INSTI% Ebg2 "9 14 15"
)
findstr /I /M %SMTW%>nul
if %errorlevel%==0 (
	Call %INSTI% Ebg2 "7 18"
)

findstr /I /M %SITM%>nul
if %errorlevel%==0 (
	findstr /I /M %SEIS%>nul
	if not errorlevel 1 (
		Call %INST% foodmod "0"

		Call %INST% rupert "0"

		Call %INST% VolcanicArmoury "0"

		Call %INST% RotBArmorSet "0"
	)

	findstr /I /M %SSIS%>nul
	if not errorlevel 1 (
		findstr /I /M %STAC%>nul
		if not errorlevel 1 (
			Call %INST% StuffofTheMagi "0" "TYPE StuffofTheMagi_input_T.txt"
		) else (
			Call %INST% StuffofTheMagi "0" "TYPE StuffofTheMagi_input_S.txt"
		)
	)
)

findstr /I /M %SRTW%>nul
if %errorlevel%==0 (
	%IFNS%ashesofembers%IFNIF%Kitanya%IFNIF%RPG-KP.exe Call %INSTI% KonTwk "0"
)
findstr /I /M %SPTW%>nul
if %errorlevel%==0 (
	%IFNS%aTweaks.exe Call %INSTI% KonTwk "9"
)
findstr /I /M %SITM%>nul && findstr /I /M %SEIS%>nul
if %errorlevel%==0 (
	Call %INSTI% KonTwk "11 13 14 15"

	Call %INST% bolsa "0"

	Call %INST% Charli "0"

	Call %INST% DARRON "0"

	Call %INST% nanstein "0"
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		Call %INST% Mhoram "0"
	)
)

findstr /I /M %SITM%>nul && findstr /I /M %SEIS%>nul
if %errorlevel%==0 (
	Call %INST% Vendedor_DLAN "0 1"

	Call %INST% Recarga "0"

	Call %INST% Alchemy "0"

	Call %INST% SPSTUFF "4"

	Call %INST% MERSKSTORE "0"

	Call %INST% MYSTIGAN "0"

	Call %INST% LavaIt "0"

	Call %INST% OLDMODSPACK "0"

	Call %INST% RFWIP "0"

	Call %INST% HOUYI "0"

	Call %INST% YLITEMS "0"
)

findstr /I /M %SSPL%>nul && findstr /I /M %SEIS%>nul
if %errorlevel%==0 (
	Call %INST% DragonSummon "0" 1
)

findstr /I /M %SSPL%>nul && findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	Call %INST% dsr "0"
)

findstr /I /M %SITM%>nul && findstr /I /M %SEIS%>nul
if %errorlevel%==0 (
	REM The following 7 items can be added to a character only by CLUA-Console or with Unique Containers!
	Call %INST% BBBKBG "0"
	Call %INST% BBPBAG "0"
	Call %INST% BBQUIV "0"
	Call %INST% BBQUIVB "0"
	Call %INST% BBQUIVC "0"
	Call %INST% BBSCCS "0"
	Call %INST% BBSCARDR "0"

	Call %INST% musica "0"

	Call %INST% swordap "0"

	Call %INST% portablehole "0"
	Call %INST% renal "0"

	Call %INST% trovador "0"

	Call %INST% Haendlermod "0"
)

findstr /I /M %SITM%>nul && findstr /I /M %SSIS%>nul
if %errorlevel%==0 (
	Call %INSTI% iwditempack "0 1 2 3 4 5 6 7 8 9 10 11"
	findstr /I /M "IWDITEMPACK.TP2~.*#.*#./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INST% iwditemfix "0"
	)
)

findstr /I /M %SITM%>nul && findstr /I /M %SINC%>nul
if %errorlevel%==0 (

	Call %INST% sigil-bd-mod "0"

	Call %INST% d2item "0"
)

findstr /I /M %SITM%>nul && findstr /I /M %SSIS%>nul
if %errorlevel%==0 (
	Call %INST% BG2eeAR "0"

	Call %INST% BG2eeW "0"
)
%.%
%.%
%.%14. BG2 NPC MODS | %M%
%.%
%.%
findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SABC%>nul
	if errorlevel 1 (
		Call %INST% Amber "0"
	)
	Call %INST% Severian "0"

	Call %INSTI% BTL "0 1 2 3"
)

findstr /I /M %SCPC%>nul
if %errorlevel%==0 (
	findstr /I /M "SoAToBContentNPCOnly VoicedNPCOnly CBG1NPCSoA" %SET%>nul
	if errorlevel 1 (
		findstr /I /M %SADU%>nul
		if not errorlevel 1 (	
			Call %INSTI% ajantisbg2 "0" "TYPE ajantisbg2_input.txt"
		) else (
			Call %INSTI% ajantisbg2 "0" "TYPE ajantisbg2_adult_input.txt"
		)
	) else (
		%IFS%ajantisbg2.exe %TXT% | findstr @395 | Call %C% >> %E%
	)
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	Call %INST% Tashia "0"
	findstr /I /M %SBPC%>nul
	if not errorlevel 1 (
		Call %INST% Tashia "2"
	)
)

findstr /I /M %SCPC%>nul
if %errorlevel%==0 (
	findstr /I /M "CKhalid CBG1NPCSoA" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% Kivan "0 2 6 7"
	) else (
		%IFS%Kivan.exe %TXT% | findstr @129 | Call %C% >> %E%
	)
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	Call %INST% Fade "0"

	Call %INST% Kido "0 1"

	Call %INST% Ariena "0 1"

	Call %INST% Kindrek "0"

	findstr /I /M %SABC%>nul
	if errorlevel 1 (
		findstr /I /M "CKhalid" %SET%>nul
		if errorlevel 1 (
			Call %INST% kitanya "0"
			%IFNS%wsr.exe Call %INST% kitanya "1"
		) else (
			%IFS%kitanya.exe %TXT% | findstr @411 | Call %C% >> %E%
		)
		findstr /I /M %SVPC%>nul
		if errorlevel 1 (
			Call %INST% Star "0"
		)
	)
	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		Call %INST% Valen "0"
	)		
)

findstr /I /M %SCPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SADU%>nul
	if not errorlevel 1 (
		Call %INST% tsukibg2 "0 1"
	)
	findstr /I /M "CKhalid CBG1NPCSoA" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% Xan "0 3 5"
	) else (
		%IFS%Xan.exe %TXT% | findstr @396 | Call %C% >> %E%
	)
)
findstr /I /M "XAN.TP2~.*#.*#0./" WeiDU.log>nul
if %errorlevel%==0 (
%IFE% Call %INST% XanBG2Voice "0"
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	Call %INST% Yasraena "0"

	findstr /I /M "SoAToBContentNPCOnly CBG1NPCSoA" %SET%>nul
	if errorlevel 1 (
		Call %INST% alora "0"
	) else (
		%IFS%alora.exe %TXT% | findstr @397 | Call %C% >> %E%
	)

	Call %INST% AurenAseph "0"

	Call %INST% Thael "0"

	Call %INSTI% Hanna "0"
)
findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	Call %INSTI% Hanna "1 3 4 5 6"
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SABC%>nul
	if errorlevel 1 (
		Call %INST% KIM "0"
		findstr /I /M %SITW%>nul
		if not errorlevel 1 (
			Call %INST% KIM "1"
		)
	)
	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		Call %INST% Lester "0"
	)
)

findstr /I /M %SCPC%>nul
if %errorlevel%==0 (
	findstr /I /M "CBG1NPCSoA" %SET%>nul
	if errorlevel 1 (
		Call %INST% Tiax "0"
	) else (
		%IFS%Tiax.exe %TXT% | findstr @398 | Call %C% >> %E%
	)
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SADU%>nul
	if not errorlevel 1 (
		Call %INST% sarahtob "0"
	)
	Call %INSTI% Hubelpot "0 1"
)

findstr /I /M %SCPC%>nul
if %errorlevel%==0 (
	Call %INST% Angelo "0"
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	Call %INSTI% VampireTales "0"
)
findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	Call %INSTI% VampireTales "1 2"
)
findstr /I /M %SITM%>nul && findstr /I /M %SSIS%>nul
if %errorlevel%==0 (
	Call %INSTI% VampireTales "3"
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SABC%>nul
	if errorlevel 1 (
		Call %INST% Nikita "0"
	)

	Call %INST% touched "0 1"

	findstr /I /M "VoicedNPCOnly CTDDEllesime" %SET%>nul
	if errorlevel 1 (
		Call %INST% ninde "0"
	) else (
		%IFS%ninde.exe %TXT% | findstr @412 | Call %C% >> %E%
	)
	findstr /I /M "SoAToBContentNPCOnly VoicedNPCOnly" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% xulaye "0 2"
		findstr /I /M %SBPC%>nul
		if not errorlevel 1 (
			Call %INSTI% xulaye "1"
		)
	)
	findstr /I /M %SABC%>nul
	if errorlevel 1 (
		Call %INST% haldamir "0"
	)
	Call %INST% AVIM "0"

	Call %INST% Saerileth "0"
)

findstr /I /M %SCPC%>nul
if %errorlevel%==0 (
	findstr /I /M "CBG1NPCSoA" %SET%>nul
	if errorlevel 1 (
		Call %INST% Skie "0"
	) else (
		%IFS%Skie.exe %TXT% | findstr @399 | Call %C% >> %E%
	)
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	findstr /I /M "AOE_Kits Mortis" %SET%>nul
	if errorlevel 1 (
		Call %INST% worgas "0"
		findstr /I /M "NEJ2.TP2~.*#.*#7./" WeiDU.log>nul
		if not errorlevel 1 (
			%IFS%worgas.exe %TXT% | findstr @307 | Call %C% >> %E%
		) else (
			Call %INST% worgas "1"
		)
		findstr /I /M "ROT.TP2~.*#.*#0./ DRIZZTSAGA.TP2~.*#.*#0./ DKDRIZZT.TP2~.*#.*#0./" WeiDU.log>nul
		if errorlevel 1 (
			Call %INST% worgas "2"
		)
	) else (
		%IFS%worgas.exe %TXT% | findstr @304 | Call %C% >> %E%
	)
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	Call %INST% TyrisFlare "0"

	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		Call %INST% Varshoon "0 1"
	)
	Call %INSTI% gavin_bg2 "0" 1
	Call %INSTI% gavin_bg2 "1 2"
)

findstr /I /M "GAVIN.TP2~.*#.*#0./" WeiDU.log>nul
if %errorlevel%==0 (
	Call %INST% gavin_kickout_hotfix "0"
)

findstr /I /M "GAVIN.TP2~.*#.*#0./" WeiDU.log>nul && findstr /I /M "GAVIN_BG2.TP2~.*#.*#0./" WeiDU.log>nul
if %errorlevel%==0 (
	Call %INST% gavin_bg2_bgt "0"
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		Call %INST% darian "0 4"
	)
	Call %INST% Aeon "0"
	findstr /I /M "XAN.TP2~.*#.*#0./" WeiDU.log>nul && findstr /I /M %SBPC%>nul
	if not errorlevel 1 (
		Call %INST% Aeon "1"
	)
	findstr /I /M %SITM%>nul && findstr /I /M %SBET%>nul
	if not errorlevel 1 (
		Call %INST% Aeon "2"
	)
	Call %INST% Yvette "0" "TYPE Yvette_input.txt"
	Call %INST% Yvette "1"

	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		Call %INST% adrian "0"

		Call %INST% arath "0"
	)
	Call %INST% dace "0"

	Call %INST% Gahesh "0"

	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		Call %INST% Lena "1"
	)

	Call %INST% aranw "0" "TYPE aranw0_input.txt"

	Call %INST% c#solaufein "0"	
)

findstr /I /M %SCPC%>nul
if %errorlevel%==0 (
	Call %INST% isra_bg2 "0"
)

findstr /I /M %SSMQ%>nul && findstr /I /M %SSTQ%>nul
if %errorlevel%==0 (
	Call %INST% TheUndying "0"
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SABC%>nul
	if errorlevel 1 (
		Call %INST% Neh'taniel "0"
	)
)
%.%
%.%
%.%15. BG2 ONE-DAY NPCS | %M%
%.%
%.%
findstr /I /M %SOPC%>nul
if %errorlevel%==0 (
	Call %INST% alassa "0"
	findstr /I /M %SABC%>nul
	if errorlevel 1 (
		Call %INST% allison "0"
		findstr /I /M %SVPC%>nul
		if errorlevel 1 (
			Call %INST% anishai "0"
		)
		Call %INST% BonsBrucev2 "0"

		Call %INST% cassius "0"
		)
	Call %INST% Ghareth "0"

	Call %INST% HessaNPC "0"
	findstr /I /M %SABC%>nul
	if errorlevel 1 (
		Call %INST% JCBruce "0"
	)
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	%IFNS%WikaedeR.exe Call %INST% Wikaede "0"
	Call %INST% WikaedeR "0"
)

findstr /I /M %SOPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SABC%>nul
	if errorlevel 1 (
		Call %INST% WillyB "0"

		Call %INST% FoxMonster "0"

		findstr /I /M %SVPC%>nul
		if errorlevel 1 (
			Call %INST% Vildra "0"

			Call %INST% Jandor "0"

			findstr /I /M "CBG1NPCSoA" %SET%>nul
			if errorlevel 1 (
				Call %INST% Eldoth "0"
			) else (
				%IFS%Eldoth.exe %TXT% | findstr @402 | Call %C% >> %E%
			)
			Call %INST% Roar "0"
	
			Call %INST% Teddy "0"

			findstr /I /M %SBET%>nul
			if not errorlevel 1 (
				Call %INST% abSolestia "0"
			)
		)
	)
)
%.%
%.%
%.%16. BG2 NPC-RELATED MODS | %M%
%.%
%.%
findstr /I /M %SBPC%>nul && findstr /I /M %SFUN%>nul
if %errorlevel%==0 (
	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
	Call %INST% Cws "0"
	)
	Call %INST% JZ "0"
)

findstr /I /M %SBPC%>nul
if %errorlevel%==0 (
	findstr /I /M "SoAToBContentNPCOnly VoicedNPCOnly" %SET%>nul
	if errorlevel 1 (
		findstr /I /M "CDArnise Buggymod" %SET%>nul
		if errorlevel 1 (
			Call %INST% LuvNalia "0"
		) else (
			%IFS%LuvNalia.exe %TXT% | findstr @132 | Call %C% >> %E%
		)
		findstr /I /M "CLuvNalia" %SET%>nul
		if errorlevel 1 (
			Call %INST% deArnise "0"
		) else (
			%IFS%deArnise.exe %TXT% | findstr @132 | Call %C% >> %E%
		)
	)
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	Call %INST% Chloe "0"
)

findstr /I /M %SBPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		Call %INSTI% BanterPack "0 2 3"
		findstr /I /M "BG1NPC.TP2~.*#.*#25./" WeiDU.log>nul
		if not errorlevel 1 (
			%IFS%BanterPack.exe %TXT% | findstr @308 | Call %C% >> %E%
		) else (
			Call %INST% BanterPack "1"
		)
		findstr /I /M "CKhalid" %SET%>nul
		if errorlevel 1 (
			Call %INSTI% iepbanters "0 1 2 3 4 5"
		) else (
			%IFS%iepbanters.exe %TXT% | findstr @130 | Call %C% >> %E%
		)
		Call %INST% viconia "0"

		Call %INST% mazzy "0"
		
		findstr /I /M %SABC%>nul
		if errorlevel 1 (
			findstr /I /M "CKeepYosh" %SET%>nul
			if errorlevel 1 (
				Call %INST% yoshimo "0"
			) else (
				%IFS%yoshimo.exe %TXT% | findstr @388 | Call %C% >> %E%
			)
			findstr /I /M "CYoshFriend" %SET%>nul
			if errorlevel 1 (
				findstr /I /M "BANTERPACK~.*#.*#2./" WeiDU.log>nul
				if errorlevel 1 (
					Call %INST% 7C-Yoshi "0"
				)
			) else (
				%IFS%7C-Yoshi.exe %TXT% | findstr @389 | Call %C% >> %E%
			)
		)
	)
	findstr /I /M "CKeepYosh" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% YoshimoRomance "0 1 4"
	) else (
		%IFS%YoshimoRomance.exe %TXT% | findstr @390 | Call %C% >> %E%
	)
	Call %INSTI% EdwinRomance "0 2 3"
)


findstr /I /M %SNPC%>nul && findstr /I /M %SADU%>nul
if %errorlevel%==0 (
	Call %INST% Tsujatha "0"
)

findstr /I /M %SBPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		findstr /I /M "CImoenRom" %SET%>nul
		if errorlevel 1 (
			Call %INST% imoenfriendship "0"
		) else (
			%IFS%imoenfriendship.exe %TXT% | findstr @137 | Call %C% >> %E%
		)
	findstr /I /M "SoAToBContentNPCOnly VoicedNPCOnly" %SET%>nul
	if errorlevel 1 (
		findstr /I /M "CKhalid CImoenFriend CImoenNEJ" %SET%>nul
		if errorlevel 1 (
			%IFNS%imoenRomance.exe Call %INST% Imoen "0"
		) else (
			%IFS%Imoen.exe %TXT% | findstr @134 | Call %C% >> %E%
		)
		findstr /I /M "CKhalid CImoenNEJ" %SET%>nul
		if errorlevel 1 (
			Call %INST% imoenRomance "0 1"
		)
		Call %INST% alcool "0"

		Call %INST% JanQuest "0"
	)
	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		Call %INST% Korgan "0"
	)
)

findstr /I /M %SCPC%>nul
if %errorlevel%==0 (
	findstr /I /M "CKhalid CCoranBG2 CBG1NPCSoA" %SET%>nul
	if errorlevel 1 (
		Call %INST% Coran "0 1"
	) else (
		%IFS%Coran.exe %TXT% | findstr @123 | Call %C% >> %E%
	)

	findstr /I /M "CNoKkalid" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% Khalid "0" "TYPE Khalid_input.txt"
		Call %INSTI% Khalid "1 5"
	) else (
		%IFS%Khalid.exe %TXT% | findstr @127 | Call %C% >> %E%
	)
)

findstr /I /M "ROT.TP2~.*#.*#0./" WeiDU.log>nul && findstr /I /M "DRIZZTSAGA.TP2~.*#.*#0./" WeiDU.log>nul
if %errorlevel%==0 (
	findstr /I /M "bg1npc.TP2~.*#.*#12./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%THEONEDRIZZT.exe %TXT% | findstr @382 | Call %C% >> %E%
	) else (
		REM Call %INST% THEONEDRIZZT "0"
		REM currently not compatible with DrizztSaga v3
	)
)

findstr /I /M %SBPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		Call %INST% LaValygar "0"
	)
)

findstr /I /M %SCPC%>nul
if %errorlevel%==0 (
	findstr /I /M "SoAToBContentNPCOnly CBG1NPCSoA" %SET%>nul
	if errorlevel 1 (
		Call %INST% yeslicknpc "0"
	) else (
		%IFS%yeslicknpc.exe %TXT% | findstr @391 | Call %C% >> %E%
	)
)

findstr /I /M %SBPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		Call %INST% sarevokfriendship "0"
	)
)

findstr /I /M %SCPC%>nul
if %errorlevel%==0 (
	Call %INST% Branwen "0"
)
%.%
%.%
%.%17. MORE BG2 NPC MODS | %M%
%.%
%.%
findstr /I /M %SSMQ%>nul
if %errorlevel%==0 (
	findstr /I /M "multistronghold" %SET%>nul
	if errorlevel 1 (
		Call %INST% cliffhistory "0"
	) else (
		%IFS%cliffhistory.exe %TXT% | findstr @414 | Call %C% >> %E%
	)
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	Call %INST% Chiara "0"

	findstr /I /M "VoicedNPCOnly CRoTDrizzt" %SET%>nul
	if errorlevel 1 (
		Call %INST% DKDrizzt "0"
	) else (
		%IFS%DKDrizzt.exe %TXT% | findstr @124 | Call %C% >> %E%
	)
	findstr /I /M %SABC%>nul
	if errorlevel 1 (

		findstr /I /M %SBUG%>nul
		if not errorlevel 1 (
			Call %INST% Elvan-all "0 1"
		)

		Call %INST% Goo "0"

		findstr /I /M %SVPC%>nul
		if errorlevel 1 (
			Call %INST% Horace "0 1"
		)
	)

	Call %INST% Kari "0"

	Call %INST% Malthis "0"
)

findstr /I /M %SCPC%>nul
if %errorlevel%==0 (
	findstr /I /M "CTDDSharTeel CBG1NPCSoA" %SET%>nul
	if errorlevel 1 (
		Call %INST% sharteel "0 1"
	) else (
		%IFS%sharteel.exe %TXT% | findstr @126 | Call %C% >> %E%
	)
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	Call %INST% SBS "0 1"

	findstr /I /M "SoAToBContentNPCOnly VoicedNPCOnly" %SET%>nul
	if errorlevel 1 (
		Call %INST% Vanim "0"
	)

	Call %INST% BIDDE "0"

	findstr /I /M "SoAToBContentNPCOnly VoicedNPCOnly" %SET%>nul
	if errorlevel 1 (
		findstr /I /M %SBUG%>nul
		if not errorlevel 1 (
			Call %INST% Azure "0 1"
		)

		Call %INST% frennedan "0"
	)
)

findstr /I /M %SCPC%>nul
if %errorlevel%==0 (
	findstr /I /M "CBranwen CBG1NPCSoA" %SET%>nul
	if errorlevel 1 (
		Call %INST% POB "0"
	) else (
		%IFS%POB.exe %TXT% | findstr @116 | Call %C% >> %E%
	)

	findstr /I /M "CPerils CBG1NPCSoA" %SET%>nul
	if errorlevel 1 (
		%IFNS%NeJ2v691%IFNIF%NeJ2v68.exe Call %INST% BranwenNPC "0"
	) else (
		%IFS%BranwenNPC.exe %TXT% | findstr @121 | Call %C% >> %E%
	)		
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	findstr /I /M "SoAToBContentNPCOnly VoicedNPCOnly" %SET%>nul
	if errorlevel 1 (
		Call %INST% MawgulNPC "0"
	)

	Call %INST% Uldar "0"
)

findstr /I /M %SCPC%>nul && findstr /I /M %SBG1%>nul && findstr /I /M %SBET%>nul
if %errorlevel%==0 (
	findstr /I /M "SoAToBContentNPCOnly VoicedNPCOnly" %SET%>nul
	if errorlevel 1 (
		Call %INST% rose "0"
	)
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		Call %INST% Larsha "0"
	)
	
	findstr /I /M "SoAToBContentNPCOnly Mortis" %SET%>nul
	if errorlevel 1 (
		Call %INST% Raziel "0"
	) else (
		%IFS%Raziel.exe %TXT% | findstr @404 | Call %C% >> %E%
	)
)

findstr /I /M %SCPC%>nul
if %errorlevel%==0 (
	findstr /I /M "VoicedNPCOnly CPerils CBG1NPCSoA" %SET%>nul
	if errorlevel 1 (
		Call %INST% Quayle "0"
	) else (
		%IFS%Quayle.exe %TXT% | findstr @114 | Call %C% >> %E%
	)
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SABC%>nul
	if errorlevel 1 (
		Call %INST% gloran "0"

		Call %INST% Auden "0"
	)
)

findstr /I /M %SBPC%>nul && findstr /I /M %SCPC%>nul
if %errorlevel%==0 (
	Call ".\%BWIP%\BG1NPCSoA.bat
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	Call %INST% Coondred "0"
)
%.%
%.%
%.%18. MINI-MODS | %M%
%.%
%.%
findstr /I /M %SBPC%>nul && findstr /I /M %SFUN%>nul
if %errorlevel%==0 (
	Call %INST% aip "0"
)

findstr /I /M %SSMQ%>nul && findstr /I /M %SEAQ%>nul
if %errorlevel%==0 (
	Call %INST% SDMODS "0"

	Call %INST% TurnipGolem "0"

	findstr /I /M %SFUN%>nul
	if not errorlevel 1 (
		Call %INST% MDX "0"

		Call %INST% hf_HHG "0"
	)

	Call %INST% QualloFix "0"

	findstr /I /M %SBUG%>nul
	if not errorlevel 1 (
		Call %INST% cal "0"

		Call %INST% Questor "0"
	)

	Call %INST% SNAKES "0"

	Call %INST% Contest "0"

	Call %INST% BWL_Contest "0"

	Call %INST% ThOghma "0"

	Call %INSTI% ShardsOfIce "0 1 2"
)

findstr /I /M %SBPC%>nul && findstr /I /M %SFUN%>nul
if %errorlevel%==0 (
	Call %INST% SkooterTheNPC "0"
)

findstr /I /M %SSMQ%>nul && findstr /I /M %SEAQ%>nul
if %errorlevel%==0 (
	Call %INST% lucy "0"
)

findstr /I /M %SCOM%>nul
if %errorlevel%==0 (
	Call %INST% Cerberus "0"
)

findstr /I /M %SSMQ%>nul && findstr /I /M %SEAQ%>nul
if %errorlevel%==0 (
	Call %INST% slandor "0"

	Call %INST% Zalnoya "0 1"

	findstr /I /M %SFUN%>nul
	if not errorlevel 1 (
		Call %INST% Swylif "0"
	)

	Call %INST% sagaman "0"

	Call %INST% Almaquest2 "0"
)

findstr /I /M %SRES%>nul
if %errorlevel%==0 (
	Call %INSTI% arestorationp "0 1 2 3 4 5 6 7 8 10 11 12 13"
)
%.%
%.%
%.%19. BP AND FOLLOWING MODS | %M%
%.%
%.%
Call %INST% res_fixer "0"

findstr /I /M "THEUNDYING.TP2~.*#.*#1./" WeiDU.log>nul
if %errorlevel%==0 (
	%IFS%BP.exe copy /Y ".\%BWFP%\_TheUndying_for_BP\*.*" ".\BP\SNIP" | %M%
)

%IF% ".\override\.itm" del ".\override\.itm"

Call %INSTI% BP "0 10 50"
findstr /I /M %SITM%>nul && findstr /I /M %SSIS%>nul
if %errorlevel%==0 (
	Call %INSTI% BP "35"
)
findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INSTI% BP "60"
)
::BP Encounter Components
findstr /I /M %SHVCH%>nul
if %errorlevel%==0 (
	findstr /I /M "SCS_Encount" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% BP "1020 1225 1300 1750"
	) else (
		%IFS%BP.exe %TXT% | findstr @435 | Call %C% >> %E%
	)
	Call %INSTI% BP  "1080 1100 1110 1120 1130 1140 1170 1175 1190 1200 1210 1250 1275 1315 1330 1350 1375 1400 1425 1450 1525 1570 1600 1625 1650 1675 1700 1800"

	findstr /I /M "orig_Ascension" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% BP "2000 2100 2200 2300 2400 2600"
		findstr /I /M "OVERSIGHT.TP2~.*#.*#4./" WeiDU.log>nul
		if errorlevel 1 (
			Call %INSTI% BP "2500"
		)
	) else (
		%IFS%BP.exe %TXT% | findstr @381 | Call %C% >> %E%
	)
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		Call %INST% Solaufein "0"
	)
)

findstr /I /M %SBPC%>nul && findstr /I /M "SOLAUFEIN.TP2~.*#.*#0./" WeiDU.log>nul
if %errorlevel%==0 (
	Call %INST% rpgsolaflirtpack "0"
) else (
	%IFS%rpgsolaflirtpack.exe %TXT% | findstr @313 | Call %C% >> %E%
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	findstr /I /M "SoAToBContentNPCOnly VoicedNPCOnly" %SET%>nul
	if errorlevel 1 (
		Call %INST% Sheena "0"
	)

	Call %INST% Kelsey "0"
	findstr /I /M "SOLAUFEIN.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INST% Kelsey "1"
	) else (
		%IFS%Kelsey.exe %TXT% | findstr @369 | Call %C% >> %E%
	)
	findstr /I /M "ASCENSION.TP2~.*#.*#0./ BP.TP2~.*#.*#2000./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INST% Kelsey "4"
	) else (
		%IFS%Kelsey.exe %TXT% | findstr @370 | Call %C% >> %E%
	)
)

findstr /I /M %SBPC%>nul && findstr /I /M "Kelsey.TP2~.*#.*#0./" WeiDU.log>nul
if %errorlevel%==0 (
	call %INST% GRoA "0"
) else (
	%IFS%GRoA.exe %TXT% | findstr @314 | Call %C% >> %E%
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SABC%>nul
	if errorlevel 1 (
		findstr /I /M "CKeepYosh" %SET%>nul
		if errorlevel 1 (
			Call %INST% Keto "0"
			findstr /I /M "KELSEY.TP2~.*#.*#0./" WeiDU.log>nul
			if not errorlevel 1 (
				Call %INST% Keto "1"
			)
		) else (
			%IFS%Keto.exe %TXT% | findstr @393 | Call %C% >> %E%
		)
	)

	Call %INST% Nathaniel "0 1"
		findstr /I /M "SOLAUFEIN.TP2~.*#.*#0./" WeiDU.log>nul
		if not errorlevel 1 (
			Call %INST% Nathaniel "4"
		)
		findstr /I /M "KELSEY.TP2~.*#.*#0./" WeiDU.log>nul
		if not errorlevel 1 (
			Call %INST% Nathaniel "5"
		)

	findstr /I /M %SABC%>nul
	if errorlevel 1 (
		Call %INST% LuxleySoA "0 1"
		findstr /I /M "NATHANIEL.TP2~.*#.*#0./" WeiDU.log>nul
		if not errorlevel 1 (
			Call %INST% LuxleySoA "2"
		)
	)

	findstr /I /M %SADU%>nul
	if not errorlevel 1 (
		Call %INSTI% Kiara-Zaiya "0 1"
		findstr /I /M %SHTW%>nul
		if not errorlevel 1 (
			Call %INSTI% Kiara-Zaiya "2"
		)		
		findstr /I /M %SHVCH%>nul
		if not errorlevel 1 (
			Call %INSTI% Kiara-Zaiya "3 4 6"
		)
		findstr /I /M %SXPL%>nul
		if not errorlevel 1 (
			Call %INSTI% Kiara-Zaiya "5"
		)
		findstr /I /M "BP.TP2~.*#.*#1250./" WeiDU.log>nul
		if errorlevel 1 (
			%IFS%Kiara-Zaiya.exe %TXT% | findstr @315 | Call %C% >> %E%
		) else (
			Call %INSTI% Kiara-Zaiya "7"
		)
	)

	Call %INSTI% iylos "0"
	findstr /I /M %SBPC%>nul
	if not errorlevel 1 (
		Call %INSTI% iylos "1 6"
	)
)

findstr /I /M %SBPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		findstr /I /M %SADU%>nul
		if not errorlevel 1 (
			Call %INSTI% NPCFlirt "0 2 4 6 8 10 12 14"
			findstr /I /M "SOLAUFEIN.TP2~.*#.*#0./" WeiDU.log>nul
			if not errorlevel 1 (
				Call %INSTI% NPCFlirt "1 3 5 7 9 11 13 15"
			) else (
				%IFS%NPCFlirt.exe %TXT% | findstr @368 | Call %C% >> %E%
			)
		)

		Call %INSTI% RE "0 3 4 7 8 11 14 15 16 17 18 19 20 21 22 23 24 26 27 28 29 30 32 33 35 37 39 40 44 45 46 47 49 50 51 52 53"
		findstr /I /M "CCoranMod" %SET%>nul
		if errorlevel 1 (
			Call %INSTI% RE "10"
		) else (
			%IFS%RE.exe %TXT% | findstr @416 | Call %C% >> %E%
		)
		findstr /I /M "KIVAN.TP2~.*#.*#0./ SAERILETH.TP2~.*#.*#0./" WeiDU.log>nul
		if errorlevel 1 (
			Call %INSTI% RE "43"
		) else (
			%IFS%RE.exe %TXT% | findstr @413 | Call %C% >> %E%
		)
		findstr /I /M %SADU%>nul
		if not errorlevel 1 (
			Call %INSTI% RE "1 2 5 6 9 12 13 25 31 34 36 38 41 42 48"

			Call %INST% haerdalisromance "0"
		)
	)
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		Call %INST% nephele "0 1"
	)

	Call %INST% Petsy "0 1"

	findstr /I /M %SABC%>nul
	if errorlevel 1 (
		Call %INSTI% Faren "0 2"
		findstr /I /M %SBPC%>nul
		if not errorlevel 1 (
			Call ".\%BWIP%\Faren.bat
		)
	)
)

findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	Call %INSTI% RevisedBattles "0 1 2 3 4 5 6 7 8"
	findstr /I /M "FIRKRAAG.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%RevisedBattles.exe %TXT% | findstr @316 | Call %C% >> %E%
	) else (
		Call %INSTI% RevisedBattles "9"
	)
	findstr /I /M "NEJ2V691.TP2~.*#.*#6./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INSTI% RevisedBattles "10"
	) else (
		%IFS%RevisedBattles.exe %TXT% | findstr @354 | Call %C% >> %E%
	)
	Call %INSTI% RevisedBattles "11 12 13 14 15 16 17 18 19 20 21 22"
)
findstr /I /M %SKIT%>nul
if %errorlevel%==0 (
	Call %INST% RevisedBattles "23 24 25 26 27"
)
findstr /I /M "REVISEDBATTLES.TP2~.*#.*#24./" WeiDU.log>nul
if %errorlevel%==0 (
	findstr /D:override /C:"B#BLADE" kit.ids > B#BLADEtemp.txt
	more +1 B#BLADEtemp.txt > B#BLADEstring.txt
	del B#BLADEtemp.txt
)

findstr /I /M %SRES%>nul
if %errorlevel%==0 (
	findstr /I /M "TS-BP.TP2~.*#.*#0./ TS.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%UB.exe %TXT% | findstr @311 | Call %C% >> %E%
	) else (
		Call %INST% UB "1"
	)
)
findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	Call %INSTI% UB "3"
)
findstr /I /M %SRES%>nul
if %errorlevel%==0 (
	Call %INSTI% UB "0 2 4 5 6 7 8 9 10 11 12 15 16 17 18 19 21 25"
	findstr /I /M "ITEM_REV.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%UB.exe %TXT% | findstr @312 | Call %C% >> %E%
	) else (
		Call %INSTI% UB "20"
	)
	%IFNS%BP%IFNIF%turnabout%IFNIF%7C-Yoshi.exe Call %INSTI% UB "24"
)

findstr /I /M %SATW%>nul
if %errorlevel%==0 (
	Call %INSTI% d0questpack "0 1"
)

findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	findstr /I /M %SXPL%>nul
	if not errorlevel 1 (
		Call %INSTI% d0questpack "5"
	)
	Call %INSTI% d0questpack "4 6 7 8 9 10 11 14 15 16 17 18 19 20 21"
	findstr /I /M "7C-Yoshi.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%d0questpack.exe %TXT% | findstr @317 | Call %C% >> %E%
	) else (
		Call %INSTI% d0questpack "13"
	)
)

findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	findstr /I /M "ASCENSION.TP2~.*#.*#0./ BP.TP2~.*#.*#2000./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INST% Turnabout "0 1"
	) else (
		%IFS%Turnabout.exe %TXT% | findstr @320 | Call %C% >> %E%
	)
)

findstr /I /M %SSTQ%>nul && findstr /I /M "ASCENSION.TP2~.*#.*#0./ BP.TP2~.*#.*#2100./" WeiDU.log>nul
if %errorlevel%==0 (
	Call %INST% LongerRoad "0 2"
	%.%Don't worry about the Warning: "coefficients were truncated. Max. truncated value" | %M%
) else (
	%IFS%LongerRoad.exe %TXT% | findstr @321 | Call %C% >> %E%
	%IFS%LongerRoad%IFIF%BP.exe %TXT% | findstr @322 | Call %C% >> %E%
)

findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	findstr /I /M %SVXCH%>nul && findstr /I /M %SXPL%>nul
	if not errorlevel 1 (
		findstr /I /M "REVISEDBATTLES.TP2~.*#.*#16./ BGT.TP2~.*#.*#0./" WeiDU.log>nul
		if errorlevel 1 (
			Call %INSTI% Tactics "0"
		)
	)
	Call %INSTI% Tactics "1 8 9 14 31 32 33 37"
	findstr /I /M "SCS_Encount" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% Tactics "2 3 4 5 16 25 34"
	) else (
		%IFS%Tactics.exe %TXT% | findstr @436 | Call %C% >> %E%
	)
	findstr /I /M "BP.TP2~.*#.*#150./" WeiDU.log>nul
	if errorlevel 1 (
		Call %INSTI% Tactics "6 7 24 28 29"
		findstr /I /M "SCS_AI" %SET%>nul
		if errorlevel 1 (
			Call %INSTI% Tactics "12"
		) else (
			%IFS%Tactics.exe %TXT% | findstr @437 | Call %C% >> %E%
		)
	)
	findstr /I /M "BP.TP2~.*#.*#1275./" WeiDU.log>nul
	if errorlevel 1 (
		Call %INSTI% Tactics "11"
	)
	findstr /I /M "BP.TP2~.*#.*#1120./" WeiDU.log>nul
	if errorlevel 1 (
		Call %INSTI% Tactics "15"
	)
	findstr /I /M "BP.TP2~.*#.*#1400./" WeiDU.log>nul
	if errorlevel 1 (
		Call %INSTI% Tactics "17 18"
	)
	findstr /I /M "SCS_AI" %SET%>nul && findstr /I /M "BP.TP2~.*#.*#600./" WeiDU.log>nul
	if errorlevel 1 (
		Call %INSTI% Tactics "20"
	)
	findstr /I /M "SCS_AI" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% Tactics "10 13 21 22 23 35"
	) else (
		%IFS%Tactics.exe %TXT% | findstr @438 | Call %C% >> %E%
	)
	findstr /I /M %SVXCH%>nul
	if not errorlevel 1 (
		findstr /I /M "SCS_Encount" %SET%>nul && findstr /I /M "BP.TP2~.*#.*#150./" WeiDU.log>nul
		if errorlevel 1 (
			Call %INSTI% Tactics "36"
		) else (
			%IFS%Tactics.exe %TXT% | findstr @439 | Call %C% >> %E%
		)
	)
)
findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	findstr /I /M "D0QUESTPACK.TP2~.*#.*#11./ D0QUESTPACK.TP2~.*#.*#12./" WeiDU.log>nul
	if %errorlevel%==1 (
		Call %INST% Tactics "30"
	)
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (
	findstr /I /M %SVPC%>nul
	if errorlevel 1 (
		Call %INSTI% Yikari "0 1 2 3 4 5"
		REM depended of the installed IteUpgrade components either 1 and 2 or 4 and 5 will be skipped
	)
)

findstr /I /M %SGTW%>nul && findstr /I /M %SBPC%>nul
if %errorlevel%==0 (
	Call %INST% wheels "0"
)

findstr /I /M %SPTW%>nul
if %errorlevel%==0 (
	Call %INST% Celestials "0"
)

findstr /I /M %SSPL%>nul
if %errorlevel%==0 (
	Call %INSTI% Grimuars "0 1"
)
findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	findstr /I /M "REVISEDBATTLES.TP2~.*#.*#0./" WeiDU.log>nul
	if errorlevel 1 (
		Call %INSTI% Grimuars "2"
	)
	Call %INSTI% Grimuars "3 4"
)

findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INST% homewardbound "0 2"

	Call %INSTI% tobr "0 1 2 3 4 5 6 7 8 9 10 11 12 13"
)

findstr /I /M %SBPC%>nul && findstr /I /M %SBET%>nul
if %errorlevel%==0 (
	findstr /I /M "VoicedNPCOnly CKeepYosh" %SET%>nul
	if errorlevel 1 (
		Call %INST% stivan "0"
	) else (
		%IFS%Stivan.exe %TXT% | findstr @394 | Call %C% >> %E%
	)
)

findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INST% alternatives "0"
)

findstr /I /M %SFUN%>nul
if %errorlevel%==0 (
	Call %INST% G3Anniversary "0"
)

findstr /I /M %SBPC%>nul
if %errorlevel%==0 (
	Call %INST% sarevokromance "0"

	Call %INSTI% CrossmodBG2 "0 1 2"

	findstr /I /M %SCPC%>nul
	if %errorlevel%==0 (
		Call ".\%BWIP%\SmilingImpCrossBanter.bat
	)

	findstr /I /M "ACBRE.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INST% ACBre "2"
	)
)
%.%
%.%
%.%20. BG2 RULES AND TWEAKS | %M%
%.%
%.%
findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	Call %INST% npc_tweak "0 2"
	%IFNS%phord_druidkits.exe Call %INST% npc_tweak "1"
)

findstr /I /M %SSMQ%>nul && findstr /I /M %SEAQ%>nul
if %errorlevel%==0 (
	Call %INST% hiddenadventure "0 2 9"
	findstr /I /M %SBG1%>nul
	if not errorlevel 1 (
		Call %INST% hiddenadventure "1 8"
	)
)
findstr /I /M %SCTW%>nul && findstr /I /M %SEAQ%>nul
if %errorlevel%==0 (
	Call %INST% hiddenadventure "3 4 5 7 10"
	findstr /I /M %SBG1%>nul
	if not errorlevel 1 (
		Call %INST% hiddenadventure "6"
	)
)

findstr /I /M %SSPL%>nul
if %errorlevel%==0 (
	Call %INST% ghost "0"
)

findstr /I /M %SCOM%>nul && findstr /I /M %SBUG%>nul
if %errorlevel%==0 (
	Call %INST% FamiliarPack "0"
)

findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	Call %INSTI% Vic "0 1"
)
findstr /I /M %SKIT%>nul
if %errorlevel%==0 (
	Call %INSTI% Vic "2 5"
)
findstr /I /M %SITM%>nul
if %errorlevel%==0 (
	Call %INSTI% Vic "3 4"
)
findstr /I /M %SCOR%>nul
if %errorlevel%==0 (
	Call %INSTI% Vic "6"
)
findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	findstr /I /M %SVXCH%>nul
	if not errorlevel 1 (
		Call %INSTI% Vic "7"
	)
	Call %INSTI% Vic "9"
)

findstr /I /M %SMEQ%>nul && findstr /I /M %SSTQ%>nul
if %errorlevel%==0 (
	Call %INST% fadingpromises "0"
)

findstr /I /M %SSTW%>nul
if %errorlevel%==0 (
	Call %INSTI% spell_rev "0 10 20 30 40 50"
)

findstr /I /M %SCOM%>nul
if %errorlevel%==0 (
	Call %INST% fairydragon "0"
)

findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	Call %INST% semi_multi_clerics "0"
)

findstr /I /M %SRES%>nul
if %errorlevel%==0 (
	Call %INSTI% BInfinitySounds "0 1 2 3 4 6 7 8 9 10"
)

findstr /I /M %SSTW%>nul
if %errorlevel%==0 (
	findstr /I /M "SpellRevStrict" %SET%>nul
	if errorlevel 1 (
		%IFS%TheUndying.exe %IF% ".\override\SPWI231*.BAM" move ".\override\SPWI231*.BAM" ".\BWP_workspace\override" | %M%
        	rem These files seem to be corrupt and they prevent to install the Hypnotic Pattern component.
		Call %INSTI% SpellPackB6 "1116 1119 1113 1105 1131 1106 1109 1110 1151 1217 1223 1203 1206 1242 1243 1246 1250 1211 1213 1302 1328 1336 1313 1309 1310 1347 1348 1350 1351 1353 1354 1361 1419 1422 1427 1431 1405 1449 1453 1458 1459 1518 1503 1517 1506 1535 1539 1540 1541 1515 1544 1603 1621 1628 1637 1614 1645 1720 1705 1740 1743 1716 1728 2102 2103 2104 2117 2105 2107 2119 2116 2125 2217 2203 2204 2238 2224 2240 2207 2211 2253 2213 2219 2215 2331 2304 2303 2317 2305 2307 2308 2314 2315 2401 2402 2412 2404 2405 2450 2413 2459 2425 2501 2508 2502 2503 2506 2511 2514 2505 2549 2615 2614 2605 2616 2619 2607 2648 2731 2713 2736 2721 2716 2743 2714 2812 2821 2827 2810 2814 2915 2911 2912 2909 2913"
		%IFS%TheUndying.exe %IF% ".\BWP_workspace\override\SPWI231*.BAM" move ".\BWP_workspace\override\SPWI231*.BAM" ".\override" | %M%
	)

	findstr /I /M "ImprSummons SpellRev" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% Spell50 "0 1 2"
	) else (
		%IFS%Spell50.exe %TXT% | findstr @128 | Call %C% >> %E%
	)
)

findstr /I /M %SSPL%>nul && findstr /I /M %SSIS%>nul
if %errorlevel%==0 (
	findstr /I /M "SpellPack" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% WildMage "0 3 4"
		findstr /I /M %SKIT%>nul
		if not errorlevel 1 (
			Call %INSTI% WildMage "1"
		)
	) else (
		%IFS%WildMage.exe %TXT% | findstr @415 | Call %C% >> %E%
	)
	call %INST% Teleport "0 1"
)

findstr /I /M %SGTW%>nul && findstr /I /M %SBG1%>nul
if %errorlevel%==0 (
	Call %INST% DrizztIsNotStupid "0"
)

findstr /I /M %SCTW%>nul
if %errorlevel%==0 (
	findstr /I /M "3D.Acceleration=1" baldur.ini
	if not errorlevel 1 (
		Call %INST% nogameover "100"
	)

	Call %INST% DungeonBeGone "0"

	%IFNS%stratagems%IFNIF%BG1NPC.exe Call %INST% parting "0 2"
)

findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	rem The code block to be replaced is not existing in these files.
	Call %INST% pcvamp "0"
	rem Don't worry about the "WARNING: cannot find block matching [pcvamp/BCS/priest.bcs]"; the code block to be replaced is not existing in these files. | %M%
)

findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INST% Drows "0"
)

findstr /I /M %SKTW%>nul && findstr /I /M %SXPL%>nul
if %errorlevel%==0 (
	findstr /I /M "Raziel_Worgas" %SET%>nul
	if errorlevel 1 (
		Call %INST% Mortis_V23 "0"
	) else (
		%IFS%Mortis_V23.exe %TXT% | findstr @403 | Call %C% >> %E%
	)
)
:: not together with Worgas or Raziel (and maybe some other mods) because it causes the game to crash.
%.%
%.%
%.%21. INSTALLATION OF KITS | %M%
%.%
%.%
findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	Call %INSTI% npckit "30 31 400 900 2100 2200 2300 2500 2510 2800"
)

findstr /I /M %SKIT%>nul
if %errorlevel%==0 (
	REM misc kits
	Call %INSTI% kitrtt "0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30"

	Call %INSTI% PPK "0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17"

	Call %INSTI% Crusade "0 1 2 3"

	Call %INSTI% LOHMod "0 1 2 3 4 5 6"

	Call %INSTI% IK "0 1 2 3 4 5 6 7"

	Call %INSTI% HideKt "0 1 2 3 4 5 6 7 8 9 10 11 12 13"

	Call %INSTI% Vagrant "0 1 2 3"

	REM bard and thief kits

	Call %INST% Conductor "0 1"

	Call %INSTI% HarpScout "0 1 2"

	Call %INSTI% Pirate "0 2 6"

	Call %INST% lyric "0"

	Call %INST% ChanterKit "0"

	Call %INST% rogue-switch "0"

	REM ranger and paladin kits

	Call %INST% A4Auror "0"

	%IFS%infinityanimations%IFIF%Bear_Animations_D2.exe Call %INST% BearWalker "0" "TYPE Bearwalker_input.txt"

	Call %INST% AvengerKit "0 1 2 3"

	Call %INST% Rodeur "0"

	Call %INST% Storm "0"

	Call %INST% zulu "0"

	REM druid and cleric kits

	Call %INST% SilverFur "0"

	Call %INST% PBhaal "0"

	Call %INST% HeartwarderKit "0"

	REM fighter kits

	Call %INST% elven_pack "0"

	Call %INST% morituri "0"

	Call %INST% RetaliatorKit "0"

	Call %INST% werewarrior "0 1"

	Call %INST% Px_Chantelame "0"

	Call %INST% x0black "0"

	Call %INST% WarslingSniperKit "0"

	Call %INST% JKits "0 1"

	Call %INST% Run "0"

	Call %INST% ArcaneArcher "0"

	Call %INST% CustomKits "1"

	Call %INST% Armiger "0"

	Call %INST% SamuraiKit "0"

	Call %INST% Tempest "0"

	Call %INST% acidelem_beta1 "0"

	findstr /I /M %SINC%>nul
	if not errorlevel 1 (

		Call %INST% d2bar "0"

		Call %INST% d2pal "0"

		Call %INST% Jedi_Sith "0"
	)

	Call %INST% BGII-Subrace "0 1"
)
%.%
%.%
%.%22. MISC TWEAKS AND HLA-TABLES CHANGING MODS | %M%
%.%
%.%
%IFN% .\1pp\core\1ppv4_pro (
	Call %INSTI% 1pp "1 3 4 5 6 10 11 12"

	Call %INSTI% 1pp_avatars "0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16"

	Call %INSTI% 1pp_female_dwarves "0"

	findstr /I /M "1pp_female_dwarves.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INSTI% 1pp_thieves_galore "1 2 3"
	)
)

%MAC% Call %INSTI% 1pp "102"
%NMAC% Call %INSTI% 1pp "103"

findstr /I /M "PP1GUI" %SET%>nul
if %errorlevel%==0 (
	Call %INSTI% 1pp "104" "TYPE 1PPGUI_input.txt"
)
Call %INSTI% 1pp "105 106 111 113 201 203 204 207 210"
findstr /I /M "CItem_Rev" %SET%>nul
if %errorlevel%==1 (
	Call %INSTI% 1pp "205 206 208"
) else (
	%IFS%1pp.exe %TXT% | findstr @410 | Call %C% >> %E%
)
Call ".\%BWIP%\define_1PP400.bat
Call %INSTI% 1pp "400" "TYPE 1PP400_input.txt"
Call %INSTI% 1pp "401"
Call %INSTI% 1pp "300" 1
Call %INSTI% 1pp "301"

Call %INSTI% infinityanimations "0 25 50 100 150 210 260 400 410 450 490 500 550 600 650 710 7000 9000"

Call %INST% Bear_Animations_D2 "0"

findstr /I /M "C#SOLAUFEIN.TP2~.*#.*#0./" WeiDU.log>nul && findstr /I /M "INFINITYANIMATIONS.TP2~.*#.*#0./" WeiDU.log>nul
if %errorlevel%==0 (
	Call %INST% c#solaufein "2"
)

findstr /I /M %SDTW%>nul && findstr /I /M %SSPL%>nul && findstr /I /M %SBET%>nul
if %errorlevel%==0 (
	Call %INSTI% iwdification "30 40 60"
	%IFNS%BardSong_BG2_IWD.exe Call %INSTI% iwdification "50"
)

findstr /I /M "BGT.TP2~.*#.*#0./" WeiDU.log>nul && findstr /I /M "BG1UB.TP2~.*#.*#19./" WeiDU.log>nul && findstr /I /M "BG1UB.TP2~.*#.*#21./" WeiDU.log>nul && findstr /I /M "INFINITYANIMATIONS.TP2~.*#.*#400./" WeiDU.log>nul && findstr /I /M "INFINITYANIMATIONS.TP2~.*#.*#600./" WeiDU.log>nul
	findstr /I /M %SRES%>nul
	if not errorlevel 1 (
		Call %INST% JA#BGT_AdvPack "0"
	)
	findstr /I /M %SSMQ%>nul && findstr /I /M %SSTQ%>nul
	if not errorlevel 1 (
		findstr /I /M "NTotSC.TP2~.*#.*#0./" WeiDU.log>nul
		if not errorlevel 1 (
			%IFS%JA#BGT_AdvPack.exe %TXT% | findstr @383 | Call %C% >> %E%
		) else (
			findstr /I /M %SBG1%>nul
			if not errorlevel 1 (
				Call %INST% JA#BGT_AdvPack "1"
			)
		)
	)
	findstr /I /M %SPOR%>nul
	if not errorlevel 1 (
		Call %INST% JA#BGT_AdvPack "2"
	)
	findstr /I /M %SGTW%>nul
	if not errorlevel 1 (
		findstr /I /M "bg1npc.TP2~.*#.*#1./" WeiDU.log>nul
		if not errorlevel 1 (
			%IFS%JA#BGT_AdvPack.exe %TXT% | findstr @384 | Call %C% >> %E%
		) else (
			findstr /I /M %SBG1%>nul
			if not errorlevel 1 (
				Call %INST% JA#BGT_AdvPack "3"
			)
		)
	)
)

findstr /I /M %SNPC%>nul
if %errorlevel%==0 (	
	Call %INST% aurora "0 10"
)

findstr /I /M %SLAQ%>nul && findstr /I /M %STAC%>nul && findstr /I /M %SVXCH%>nul && findstr /I /M "INFINITYANIMATIONS.TP2~.*#.*#0./" WeiDU.log>nul
if %errorlevel%==0 (
	Call %INST% vecna "0"
)

findstr /I /M %SCOM%>nul && findstr /I /M "INFINITYANIMATIONS.TP2~.*#.*#0./" WeiDU.log>nul
if %errorlevel%==0 (
	Call %INST% w_packmule "0" "TYPE packmule_input.txt"
)

findstr /I /M %SCOM%>nul
if %errorlevel%==0 (
	Call %INST% Haiass "0 10"
)

findstr /I /M %SKIT%>nul
if %errorlevel%==0 (
	Call %INSTI% ashesofembers "5 6 7 8 9 10 11"
)

findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	findstr /I /M "ITEM_REV.TP2~.*#.*#0./" WeiDU.log>nul && findstr /I /M "btweak_Restr" %SET%>nul
	if not errorlevel 1 (
		%IFS%ashesofembers%IFIF%item_rev.exe %TXT% | findstr @387 | Call %C% >> %E%
		%IFS%ashesofembers%IFIF%btweak.exe %TXT% | findstr @418 | Call %C% >> %E%
		%IFS%ashesofembers%IFIF%btweak_light.exe %TXT% | findstr @418 | Call %C% >> %E%
	) else (
		Call %INSTI% ashesofembers "14 15"
	)
)

:: install monks before

findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	Call %INSTI% Oversight "2"
)
findstr /I /M %SSTW%>nul
if %errorlevel%==0 (
	Call %INSTI% Oversight "3"
)
findstr /I /M %SKIT%>nul
if %errorlevel%==0 (
	findstr /I /M "multistronghold" %SET%>nul
	if not errorlevel 1 (
		Call %INSTI% Oversight "5"
	) else (
		%IFS%Oversight.exe %TXT% | findstr @417 | Call %C% >> %E%
	)
)
findstr /I /M %SHTW%>nul
if %errorlevel%==0 (
	Call %INSTI% Oversight "6"
)
findstr /I /M %SKIT%>nul
if %errorlevel%==0 (
	Call %INSTI% Oversight "7"
)

findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	Call %INST% laviconia "0 50"
)

:: install druids, clerics, paladin and rangers before

findstr /I /M "SpellRevStrict" %SET%>nul
if %errorlevel%==1 (
	rem component 0 exists only in v7.1, component 10 or 11 exist only in v8
	rem component 1000 from v8 is very buggy and will ruin the whole installation!

	Call %INSTI% Divine_Remix "0"
	findstr /I /M %SSTW%>nul
	if not errorlevel 1 (
		Call %INSTI% Divine_Remix "11"
	)
	findstr /I /M %SHTW%>nul
	if not errorlevel 1 (
		Call %INSTI% Divine_Remix "100"
	)
	findstr /I /M %SKIT%>nul
	if not errorlevel 1 (
		Call %INSTI% Divine_Remix "103 107 109 112 115 118 121 124 127 130"
		findstr /I /M "LAVICONIA.TP2~.*#.*#0./ LAVICONIA.TP2~.*#.*#1./" WeiDU.log>nul
		if errorlevel 1 (
			Call %INST% Divine_Remix "106"
		)
	)
	findstr /I /M %SHTW%>nul
	if not errorlevel 1 (
		Call %INSTI% Divine_Remix "200"
	)
	findstr /I /M %SKIT%>nul
	if not errorlevel 1 (
		Call %INSTI% Divine_Remix "203 403 406 409 412 415 600"
	)
	findstr /I /M %SRTW%>nul
	if not errorlevel 1 (
		rem Call %INSTI% Divine_Remix "1000"
	)
)

findstr /I /M %SKIT%>nul
if %errorlevel%==0 (
	Call %INSTI% SPSTUFF "0 1 2 3 6"

	Call %INSTI% PofKits "1 2 3 4 7 9 10 11 12 14 15"
	findstr /I /M "DIVINE_REMIX.TP2~.*#.*#0./ DIVINE_REMIX.TP2~.*#.*#1000./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INSTI% PofKits "5 6 8 13 16 17 18"
	) else (
		%IFS%PofKits.exe %TXT% | findstr @319 | Call %C% >> %E%
	)
)

findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	Call %INST% phord_druidkits "0"

	Call %INST% AnimalCompanions "0" "TYPE AnimalCompanions_input.txt"
)

:: install tieves and bards before

findstr /I /M %SPTW%>nul
if %errorlevel%==0 (
	Call %INSTI% song_and_silence "0"
)
findstr /I /M %SITM%>nul
if %errorlevel%==0 (
	Call %INSTI% song_and_silence "1"
)
findstr /I /M %SKIT%>nul
if %errorlevel%==0 (
	Call %INSTI% song_and_silence "2 3 4 5 6 7 8 9 10"
)

:: install fighters and monks before

findstr /I /M %SPTW%>nul
if %errorlevel%==0 (
	Call %INSTI% sword_and_fist "1"
)
findstr /I /M %SKIT%>nul
if %errorlevel%==0 (
	Call %INSTI% sword_and_fist "30 31 32 33 34"
)

findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INSTI% RR "0"
)
findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	Call %INSTI% RR "1"
)
findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INSTI% RR "3"
)
findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	Call %INSTI% RR "4"
)
findstr /I /M %SSTW%>nul
if %errorlevel%==0 (
	Call %INSTI% RR "6"
)
findstr /I /M %SITM%>nul
if %errorlevel%==0 (
	Call %INSTI% RR "7 8"
)

%IFS%SpellPackB6%IFIF%divine_remix.exe %IF% ".\override\SPPR342.SPL" move ".\override\SPPR342.SPL" ".\BWP_workspace\override" | %M%
Call %INSTI% 1pp "202" 2
%IFS%SpellPackB6%IFIF%divine_remix.exe %IF% ".\BWP_workspace\override\SPPR342.SPL" move ".\BWP_workspace\override\SPPR342.SPL" ".\override" | %M%

findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INSTI% ashesofembers "0 2"
	findstr /I /M "ITEM_REV.TP2~.*#.*#0./" WeiDU.log>nul
	if errorlevel 1 (
		Call %INSTI% ashesofembers "3"
	)
)
findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	%IFNS%wsr.exe Call %INSTI% ashesofembers "4"
)
findstr /I /M %SITM%>nul
if %errorlevel%==0 (
	Call %INSTI% ashesofembers "12"
)
findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	%IFNS%btweak%IFNIF%btweak_lite.exe Call %INSTI% ashesofembers "16 17"
	Call %INSTI% ashesofembers "18 19 20 21"
)

findstr /I /M %SKIT%>nul
if %errorlevel%==0 (
	Call %INSTI% Tactics "26 27"
)

findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	%IFNS%btweak.exe Call %INSTI% btweak_lite "0 1 2"
	findstr /I /M "AoE_Restr" %SET%>nul
	if not errorlevel 1 (
		%IFNS%btweak.exe Call %INSTI% btweak_lite "3"
	) else (
		%IFNS%btweak%IFIF%btweak_lite.exe %TXT% | findstr @418 | Call %C% >> %E%
	)
	%IFNS%btweak.exe Call %INSTI% btweak_lite "4 5 6"

	Call %INSTI% btweak "0 1 2"
	findstr /I /M "AoE_Restr" %SET%>nul
	if not errorlevel 1 (
		Call %INSTI% btweak "22"
	) else (
		%IFS%btweak.exe %TXT% | findstr @418 | Call %C% >> %E%
	)
	Call %INSTI% btweak "23 24 25"
	%IFS%btweak%IFIF%btweak_lite.exe %TXT% | findstr @133 | Call %C% >> %E%

	Call %INSTI% hammers "0 15 25 35 50"
)

findstr /I /M %SITM%>nul
if %errorlevel%==0 (
	Call %INSTI% Item_Pack "0 1"
)
findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INSTI% Item_Pack "2 3"
)
findstr /I /M %SCTW%>nul
if %errorlevel%==0 (
	Call %INSTI% Item_Pack "4 5"
)
findstr /I /M %SITM%>nul
if %errorlevel%==0 (
	Call %INSTI% Item_Pack "6 7"
	findstr /I /M %SBG1%>nul
	if not errorlevel 1 (
		Call %INSTI% Item_Pack "8"
	)
	findstr /I /M "TOBEX.TP2~.*#.*#100./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INSTI% Item_Pack "9"
	)
)

findstr /I /M %SITM%>nul
if %errorlevel%==0 (
	%IFS%DungeonBeGone.exe %IF% ".\override\FWJASSY.CRE" move ".\override\FWJASSY.CRE" "%TEMP%" | %M%
	Call %INST% iiItemMod "1"
	%IFS%DungeonBeGone.exe %IF% "%TEMP%\FWJASSY.CRE" move "%TEMP%\FWJASSY.CRE" ".\override" | %M%	
)

findstr /I /M %SRTW%>nul
if %errorlevel%==0 (
	Call %INSTI% item_rev "3"
	findstr /I /M "Fullplate" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% item_rev "8 9"
	) else (
		%IFS%item_rev.exe %TXT% | findstr @440 | Call %C% >> %E%
	)
)
findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INSTI% item_rev "1020 1030"
)
findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INSTI% item_rev "1050 10 11 12 13"
)
findstr /I /M %SRTW%>nul
if %errorlevel%==0 (
	Call %INSTI% item_rev "1093"
)
findstr /I /M %SPTW%>nul
if %errorlevel%==0 (
	Call %INSTI% item_rev "15"
)
findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INSTI% item_rev "17 18"
)

findstr /I /M "ITEM_REV.TP2~.*#.*#17./" WeiDU.log>nul
if %errorlevel%==0 (
	Call %INST% ninjawakifix "0"
)

findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INST% UniqueArtifacts "2"
	%IFS%UniqueArtifacts.exe copy /Y uniqueartifacts\backup\2\TASLGURK.CRE ".\override" | %M%
)

findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INST% cursed_items "0"
	Call %INST% cursed_items "10"
)

findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INST% freeact "10"
	findstr /I /M "ITEM_REV.TP2~.*#.*#0./ SPELL_REV.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%freeact.exe %TXT% | findstr @359 | Call %C% >> %E%
	) else (
		Call %INST% freeact "50"
	)
)

findstr /I /M %SCTW%>nul
if %errorlevel%==0 (
	Call %INSTI% Z#Misc "1"
)
findstr /I /M %SRTW%>nul
if %errorlevel%==0 (
	Call %INSTI% Z#Misc "17 18 19"
)
%.%
%.%
%.%23. MAJOR TWEAKS | %M%
%.%
%.%
findstr /I /M %SKTW%>nul && findstr /I /M "ASHESOFEMBERS.TP2~.*#.*#4./ KONTWK.TP2~.*#.*#0./ KITANYA.TP2~.*#.*#1./" WeiDU.log>nul
if %errorlevel%==0 (
	%IFS%WSR.exe %TXT% | findstr @386 | Call %C% >> %E%
) else (
	Call %INST% WSR "100"
)

findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	%IF% ".\override\XXX009.ITM" move ".\override\XXX009.ITM" ".\BWP_workspace\override" | %M%
	Call %INSTI% SoB "100"
	%IF% ".\BWP_workspace\override\XXX009.ITM" move ".\BWP_workspace\override\XXX009.ITM" ".\override" | %M%
)
findstr /I /M %SMTW%>nul
if %errorlevel%==0 (
	Call %INSTI% SoB "200"
)
findstr /I /M %SRTW%>nul
if %errorlevel%==0 (
	Call %INSTI% SoB "210"
)
findstr /I /M %SXTW%>nul
if %errorlevel%==0 (
	Call %INSTI% SoB "220"
)
findstr /I /M %SRTW%>nul
if %errorlevel%==0 (
	Call %INSTI% SoB "230"
	%IF% ".\override\C#AJAN16.CRE" move ".\override\C#AJAN16.CRE" ".\BWP_workspace\override" | %M%
	Call %INSTI% SoB "250"
	%IF% ".\BWP_workspace\override\C#AJAN16.CRE" move ".\BWP_workspace\override\C#AJAN16.CRE" ".\override" | %M%
	Call %INSTI% SoB "300"
)
:: findstr /I /M %SKTW%>nul
:: if %errorlevel%==0 (
::	Call %INSTI% SoB "310"
:: )
findstr /I /M %SKIT%>nul
if %errorlevel%==0 (
	Call %INSTI% SoB "320 350 355"
)
findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	Call %INSTI% SoB "400"
)
findstr /I /M %SKIT%>nul
if %errorlevel%==0 (
	Call %INSTI% SoB "410 450 455 460"
)
findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	findstr /I /M "DIVINE_REMIX.TP2~.*#.*#0./ DIVINE_REMIX.TP2~.*#.*#1000./" WeiDU.log>nul
	if errorlevel 1 (
		Call %INSTI% SoB "500"
	)
)
findstr /I /M %SKIT%>nul
if %errorlevel%==0 (
	Call %INSTI% SoB "510 512 520 526 530 532 540"
)
:: Because of the mismatched tp2-file you must install component 250 together with component 600
findstr /I /M %SRTW%>nul
if %errorlevel%==0 (
	Call %INSTI% SoB "600"
)

findstr /I /M "REVISEDBATTLES.TP2~.*#.*#24./" WeiDU.log>nul
if %errorlevel%==0 (
	type B#BLADEstring.txt >> ./override/kit.ids
)

findstr /I /M %SHTW%>nul
if %errorlevel%==0 (
	Call %INSTI% refinements "10"
)
findstr /I /M %SCOR%>nul
if %errorlevel%==0 (
	Call %INSTI% refinements "30"
)
findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INSTI% refinements "40"
)
findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	Call %INSTI% refinements "50"
)

:: Call %INSTI% SoB "580"
:: This component is not compatible with "symbolic paws" mods like the one in SCS
findstr /I /M %SKIT%>nul
if %errorlevel%==0 (
	Call %INSTI% SoB "586"
)
:: components 600 650 seem to be corrupt

findstr /I /M %SKIT%>nul && findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	Call %INSTI% DruidicSorcererKit "0 1"

	Call %INSTI% druidsor "0"

	Call %INSTI% RPG-KP "0 2 7 9 10 11 13"
	findstr /I /M "CAL.TP2~.*#.*#0./" WeiDU.log>nul
	if errorlevel 1 (
		Call %INSTI% RPG-KP "4 6"
		findstr /I /M "DRUIDICSORCERERKIT.TP2~.*#.*#0./ DRUIDSOR.TP2~.*#.*#0./" WeiDU.log>nul
		if errorlevel 1 (
			Call %INST% RPG-KP "3"
		)
	)

	Call %INSTI% Kitpack6 "0 1 2 3 4 5 6 7 8"

	Call %INSTI% Derats_kits "0 1 2"
	findstr /I /M "NEJ2.TP2~.*#.*#0./ NeJ2v68.TP2~.*#.*#0./ NeJ2v691.TP2~.*#.*#0./ SOS.TP2~.*#.*#0./" WeiDU.log>nul
	if errorlevel 1 (
		Call %INST% Derats_kits "3"
	)
	Call %INSTI% Derats_kits "4 7"
	%IFS%Derats_kits.exe echo 0x4145 pxSORCELERERB >> ./override/kit.ids
	%IFS%Derats_kits.exe echo 0x4146 pxSORCELERERD >> ./override/kit.ids
	rem Because of the mismatched tp2-file you must install component 5 together with component 6
	Call %INST% Derats_kits "5 6"
)

findstr /I /M %SSTW%>nul
if %errorlevel%==0 (
	findstr /I /M "DIVINE_REMIX.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%spell_rev.exe %TXT% | findstr @318 | Call %C% >> %E%
	) else (
		Call %INST% spell_rev "60"
	)
)

Call %INSTI% stratagems "1000"

findstr /I /M %SSTW%>nul
if %errorlevel%==0 (
	Call %INSTI% stratagems "1901 1910 2000 2010 2020 2030 2041 2060 2070 2080 2090 2100 2110 2120 2130 2140 2150 2160 2170 2180 3030"
	REM components 2000 2020 2030 2040 2041 2060 2070 2080 2090 2100 2140 2150 2160 will be skipped automatically if "Spell Revisions" is installed
)
findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INSTI% stratagems "3010 3020 3022 3041 3060 3070 3080 3090 3110"
	REM components 3050 3060 3070 3080 3090 3100 3110 will be skipped automatically if "Spell Revisions" is installed
)
findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INSTI% stratagems "4000 4010 4020 4040 4110 4120"
	findstr /I /M "bg1npcbeg" %SET%>nul
	if errorlevel 1 (
		Call %INST% Stratagems "4130"
	) else (
		%IFS%Stratagems.exe %TXT% | findstr @407 | Call %C% >> %E%
	)
	Call %INSTI% stratagems "4146 4180 4200 4210 4217 4230 4240"
	findstr /I /M %SCTK%>nul
	if not errorlevel 1 (
		Call %INSTI% stratagems "4160 4170"
	)
	findstr /I /M %SETK%>nul
	if not errorlevel 1 (
		Call %INSTI% stratagems "4050 4161 4171"
	)
	findstr /I /M %SSTK%>nul
	if not errorlevel 1 (
		Call %INSTI% stratagems "4051 4162 4172"
	)
	findstr /I /M %SHTK%>nul
	if not errorlevel 1 (
		Call %INSTI% stratagems "4052 4163 4173"
	)
	findstr /I /M %SXTK%>nul
	if not errorlevel 1 (
		Call %INSTI% stratagems "4053 4164 4174"
	)
)
findstr /I /M %SCTW%>nul
if %errorlevel%==0 (
	Call %INSTI% stratagems "5000 5010 5020 5030 5050 5060"
)
echo 147 RemoveSpellRES(S:RES*,O:Target) >> override/action.ids
findstr /I /M %SATW%>nul
if %errorlevel%==0 (
	Call %INSTI% stratagems "5900"
	%IFS%NeJ2v691.exe %IFN% .\override\SPIN506.SPL copy /Y ".\%BWFP%\NeJ\_copy\misc\SPIN506.SPL" ".\override" | %M%
	%IFS%NeJ2v68.exe %IFN% .\override\SPIN506.SPL copy /Y ".\%BWFP%\NeJ\_copy\misc\SPIN506.SPL" ".\override" | %M%
	Call %INSTI% stratagems "6000"
	Call %INSTI% stratagems "6010"
	rem call these components separate to avoid "out of memory"

	findstr /I /M "BP_AI" %SET%>nul @@ findstr /I /M "Tactics.TP2~.*#.*#10./" WeiDU.log>nul
	if errorlevel 1 (
		findstr /I /M %SCTK%>nul
		if not errorlevel 1 (
			Call %INSTI% stratagems "6024 6034 6044"
		)
		findstr /I /M %SETK%>nul
		if not errorlevel 1 (
			Call %INSTI% stratagems "6023 6033 6043"
		)
		findstr /I /M %SSTK%>nul
		if not errorlevel 1 (
			Call %INSTI% stratagems "6022 6032 6042"
		)
		findstr /I /M %SHTK%>nul
		if not errorlevel 1 (
			Call %INSTI% stratagems "6021 6031 6041"
		)
		findstr /I /M %SXTK%>nul
		if not errorlevel 1 (
			Call %INSTI% stratagems "6020 6030 6040"
		)
	)
	findstr /I /M %SCTK%>nul
	if not errorlevel 1 (
		Call %INSTI% stratagems "6100"
	)
	findstr /I /M %SETK%>nul
	if not errorlevel 1 (
		Call %INSTI% stratagems "6101"
	)
	findstr /I /M %SSTK%>nul
	if not errorlevel 1 (
		Call %INSTI% stratagems "6102"
	)
	findstr /I /M %SHTK%>nul
	if not errorlevel 1 (
		Call %INSTI% stratagems "6103"
	)
	findstr /I /M %SXTK%>nul
	if not errorlevel 1 (
		Call %INSTI% stratagems "6104"
	)
	Call %INSTI% stratagems "6200 6300 6310 6320"

	findstr /I /M "BP_AI" %SET%>nul
	if errorlevel 1 (
		findstr /I /M "Tactics.TP2~.*#.*#20./" WeiDU.log>nul
		if not errorlevel 1 (
			%IFS%stratagems.exe %TXT% | findstr @420 | Call %C% >> %E%
		) else (
			Call %INSTI% stratagems "6500"
		)
		findstr /I /M "Tactics.TP2~.*#.*#12./" WeiDU.log>nul
		if not errorlevel 1 (
			%IFS%stratagems.exe %TXT% | findstr @421 | Call %C% >> %E%
		) else (
			findstr /I /M %SHXTK%>nul
			if not errorlevel 1 (
				Call %INSTI% stratagems "6510"
			)
			findstr /I /M %SESTK%>nul
			if not errorlevel 1 (
				Call %INSTI% stratagems "6511"
			)
		)
	)
	findstr /I /M %SHXTK%>nul
	if not errorlevel 1 (
		Call %INSTI% stratagems "6520"
	)
	findstr /I /M %SESTK%>nul
	if not errorlevel 1 (
		Call %INSTI% stratagems "6511"
	)
	findstr /I /M "BP_AI" %SET%>nul
	if errorlevel 1 (
		findstr /I /M %SHXTK%>nul
		if not errorlevel 1 (
			Call %INSTI% stratagems "6530"
		)
		findstr /I /M %SESTK%>nul
		if not errorlevel 1 (
			Call %INSTI% stratagems "6531"
		)
		findstr /I /M "Tactics.TP2~.*#.*#22./" WeiDU.log>nul
		if not errorlevel 1 (
			%IFS%stratagems.exe %TXT% | findstr @422 | Call %C% >> %E%
		) else (
			findstr /I /M %SHXTK%>nul
			if not errorlevel 1 (
				Call %INSTI% stratagems "6540"
			)
			findstr /I /M %SESTK%>nul
			if not errorlevel 1 (
				Call %INSTI% stratagems "6541"
			)
		)
	) else (
		%IFS%stratagems.exe %TXT% | findstr @441 | Call %C% >> %E%
	)
	findstr /I /M "Tactics.TP2~.*#.*#23./" WeiDU.log>nul @@ findstr /I /M "BP_AI" %SET%>nul
	if not errorlevel 1 (
		%IFS%stratagems.exe %TXT% | findstr @423 | Call %C% >> %E%
	) else (
		findstr /I /M %SETK%>nul
		if not errorlevel 1 (
			Call %INSTI% stratagems "6551"
		)
		findstr /I /M %SSTK%>nul
		if not errorlevel 1 (
			Call %INSTI% stratagems "6550"
		)
		findstr /I /M %SHTK%>nul
		if not errorlevel 1 (
			Call %INSTI% stratagems "6553"
		)
		findstr /I /M %SXTK%>nul
		if not errorlevel 1 (
			Call %INSTI% stratagems "6552"
		)
	)
	findstr /I /M "Tactics.TP2~.*#.*#21./" WeiDU.log>nul @@ findstr /I /M "BP_AI" %SET%>nul
	if not errorlevel 1 (
		%IFS%stratagems.exe %TXT% | findstr @424 | Call %C% >> %E%
	) else (
		findstr /I /M %SETK%>nul
		if not errorlevel 1 (
			Call %INSTI% stratagems "6562"
		)
		findstr /I /M %SSTK%>nul
		if not errorlevel 1 (
			Call %INSTI% stratagems "6563"
		)
		findstr /I /M %SHTK%>nul
		if not errorlevel 1 (
			Call %INSTI% stratagems "6560"
		)
		findstr /I /M %SXTK%>nul
		if not errorlevel 1 (
			Call %INSTI% stratagems "6561"
		)
	)
	findstr /I /M "BP_AI" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% stratagems "6570"
	) else (
		%IFS%stratagems.exe %TXT% | findstr @431 | Call %C% >> %E%
	)

	findstr /I /M "SETUP-DEVIN.TP2~.*#.*#0./" WeiDU.log>nul
	if errorlevel 1 (
		Call %INSTI% stratagems "6580"
	) else (
		%IFS%stratagems.exe %TXT% | findstr @442 | Call %C% >> %E%
	)
	Call %INSTI% stratagems "6590"

	findstr /I /M "ASCENSION.TP2~.*#.*#0./" WeiDU.log>nul && findstr /I /M %STAC%>nul
	if not errorlevel 1 (
		Call %INSTI% stratagems "6800 6810 8620 6830 6840 6850"
	)
)
findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	Call %INSTI% stratagems "7000 7010 7020 7030 7040 7050 7060 7070 7080 7090 7100 7110 7130 7140 7200 7210 7220 7230 7240 7250 7900 8000 8010"
	findstr /I /M "BP_Encount" %SET%>nul @@ findstr /I /M "Tactics.TP2~.*#.*#13./" WeiDU.log>nul
	if errorlevel 1 (
		Call %INSTI% stratagems "8020"		
	) else (
		%IFS%stratagems.exe %TXT% | findstr @426 | Call %C% >> %E%
	)
	findstr /I /M "Tactics.TP2~.*#.*#37./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%stratagems.exe %TXT% | findstr @427 | Call %C% >> %E%
	) else (
		Call %INSTI% stratagems "8030"
	)
	findstr /I /M "BP_Encount" %SET%>nul
	if errorlevel 1 (
		findstr /I /M "Tactics.TP2~.*#.*#16./ Tactics.TP2~.*#.*#25./ Tactics.TP2~.*#.*#34./" WeiDU.log>nul
		if not errorlevel 1 (
			%IFS%stratagems.exe %TXT% | findstr @428 | Call %C% >> %E%
		) else (
			findstr /I /M %SETK%>nul
			if errorlevel 1 (
				Call %INSTI% stratagems "8040"
			)
			findstr /I /M %SSTK%>nul
			if not errorlevel 1 (
				Call %INSTI% stratagems "8041"
			)
			findstr /I /M %SHTK%>nul
			if not errorlevel 1 (
				Call %INSTI% stratagems "8042"
			)
			findstr /I /M %SXTK%>nul
			if not errorlevel 1 (
				Call %INSTI% stratagems "8043"
			)
		)
	)
	findstr /I /M "D0QUESTPACK.TP2~.*#.*#4./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%stratagems.exe %TXT% | findstr @429 | Call %C% >> %E%
	) else (
		Call %INSTI% stratagems "8050"
	)
	findstr /I /M "BP_Encount" %SET%>nul
	if errorlevel 1 (
		findstr /I /M "Tactics.TP2~.*#.*#2./" WeiDU.log>nul
		if not errorlevel 1 (
			%IFS%stratagems.exe %TXT% | findstr @430 | Call %C% >> %E%
		) else (
			findstr /I /M %SESTK%>nul
			if not errorlevel 1 (
				Call %INSTI% stratagems "8060"
			)
			findstr /I /M %SHXTK%>nul
			if not errorlevel 1 (
				Call %INSTI% stratagems "8061"
			)
		)
		findstr /I /M "Tactics.TP2~.*#.*#4./" WeiDU.log>nul
		if not errorlevel 1 (
			%IFS%stratagems.exe %TXT% | findstr @432 | Call %C% >> %E%
		) else (
			findstr /I /M %SESTK%>nul
			if not errorlevel 1 (
				Call %INSTI% stratagems "8080"
			)
			findstr /I /M %SHXTK%>nul
			if not errorlevel 1 (
				Call %INSTI% stratagems "8081"
			)
		)
		findstr /I /M "Tactics.TP2~.*#.*#5./" WeiDU.log>nul
		if not errorlevel 1 (
			%IFS%stratagems.exe %TXT% | findstr @433 | Call %C% >> %E%
		) else (
			Call %INSTI% stratagems "8100"
		)
	)
	findstr /I /M "Tactics.TP2~.*#.*#3./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%stratagems.exe %TXT% | findstr @434 | Call %C% >> %E%
	) else (
		call %INSTI% stratagems "8110"
	)
	Call %INSTI% stratagems "8070 8090 8120 8130 8160 8180 8190"
	findstr /I /M "SOB.TP2~.*#.*#250./ SOB.TP2~.*#.*#600./" WeiDU.log>nul
		if errorlevel 1 (
			Call %INSTI% stratagems "8170"

			findstr /I /M %SHTK%>nul
			if not errorlevel 1 (
				Call %INSTI% stratagems "8141"
			)
			findstr /I /M %SXTK%>nul
			if not errorlevel 1 (
				Call %INSTI% stratagems "8140"
			)

		)
	findstr /I /M "BP_Encount" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% stratagems "8150"
	) else (
		%IFS%stratagems.exe %TXT% | findstr @443 | Call %C% >> %E%
	)
)

findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	findstr /I /M "CliffHistory" %SET%>nul
	if errorlevel 1 (
		Call %INST% multistronghold "10"
	) else (
		%IFS%multistronghold.exe %TXT% | findstr @400 | Call %C% >> %E%
	)
	Call %INST% multistronghold "20 30 40 50 60 70 80"
)

findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	Call %INST% Volcano "0"

	findstr /I /M "REVISEDBATTLES.TP2~.*#.*#9./ FIRKRAAG.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%BuTcHeRy.exe %TXT% | findstr @355 | Call %C% >> %E%
	) else (
		Call %INSTI% BuTcHeRy "0 1 2"
	)
)

findstr /I /M %SVXCH%>nul && findstr /I /M %SXPL%>nul
if %errorlevel%==0 (
	findstr /I /M "BP_Encount" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% Tactics "19"
	)
)

findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INSTI% NMR "0 1 2 3 4 5 6 7 8"
)

findstr /I /M "NMR.TP2~.*#.*#0./ NMR.TP2~.*#.*#1./" WeiDU.log>nul
if %errorlevel%==0 (
	findstr /I /M %SXTK%>nul
	if not errorlevel 1 (
		Call %INST% NMR-Happy "0"
	)
	findstr /I /M %SHTK%>nul
	if not errorlevel 1 (
		Call %INST% NMR-Happy "1"
	)
	findstr /I /M %SSTK%>nul
	if not errorlevel 1 (
		Call %INST% NMR-Happy "2"
	)
	findstr /I /M %SETK%>nul
	if not errorlevel 1 (
		Call %INST% NMR-Happy "3"
	)
	findstr /I /M %SCTK%>nul
	if not errorlevel 1 (
		Call %INST% NMR-Happy "4"
	)
) else (
	%IFS%NMR-Happy.exe %TXT% | findstr @366 | Call %C% >> %E%
)

:: BP AI
findstr /I /M %SATW%>nul
if %errorlevel%==0 (
	Call %INSTI% BP "325 440 475 550 625 650 675 725 750 760 800 875 900 925"
	findstr /I /M "SCS_AI" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% BP "350 375 390 400 425 500 525 575 600 700 150"
	) else (
		%IFS%BP.exe %TXT% | findstr @444 | Call %C% >> %E%
	)
)
findstr /I /M %SHCH%>nul && findstr /I /M "BP.TP2~.*#.*#150./" WeiDU.log>nul
if %errorlevel%==0 (
	findstr /I /M "SCS_Encount" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% BP "1000"
	) else (
		%IFS%BP.exe %TXT% | findstr @445 | Call %C% >> %E%
	)
)
findstr /I /M %SCTW%>nul && findstr /I /M "BP.TP2~.*#.*#150./" WeiDU.log>nul
if %errorlevel%==0 (
	Call %INSTI% BP "175"
)

findstr /I /M %SBG1%>nul
if %errorlevel%==1 (
	GOTO :SKIPBG1c
)

Call ".\%BWIP%\BGTTweak.bat
%IFS%BP-Balancer.exe Call %INSTI% BGTTweak "1900"

:SKIPBG1c

findstr /I /M %SCTW%>nul
if %errorlevel%==0 (
	Call %INSTI% BG2_Tweaks "60 70 110 140"
		%IFNS%1PP_THIEVES_GALORE.exe %IFN% .\1pp\core\1ppv4_pro Call %INSTI% BG2_Tweaks "50 120"
		%MAC% Call %INSTI% BG2_Tweaks "50 120"
	)
)
findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INSTI% BG2_Tweaks "130 1010 1020"
)
findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	Call %INSTI% BG2_Tweaks "1040"
)
findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INSTI% BG2_Tweaks "1090 1120"
)

findstr /I /M %SGTW%>nul && findstr /I /M "BGT.TP2~.*#.*#0./" WeiDU.log>nul
if %errorlevel%==0 (
	findstr /I /M "BGTTweak.TP2~.*#.*#2800./" WeiDU.log>nul
	if errorlevel 1 (
		Call %INSTI% BG2_Tweaks "1130"
	)
	findstr /I /M "CLIFFHISTORY.TP2~.*#.*#0./ OVERSIGHT.TP2~.*#.*#5./ MULTISTRONGHOLD.TP2~.*#.*#./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%BG2_Tweaks.exe %TXT% | findstr @335 | Call %C% >> %E%
	) else (
		Call %INSTI% BG2_Tweaks "1161"
	)
	findstr /I /M "FR_ROV.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%BG2_Tweaks.exe %TXT% | findstr @336 | Call %C% >> %E%
	) else (
		Call %INSTI% BG2_Tweaks "1170"
	)
)
findstr /I /M %SMTW%>nul
if %errorlevel%==0 (
	Call %INSTI% BG2_Tweaks "1180"
)
findstr /I /M %SLMCH%>nul
if %errorlevel%==0 (
	Call %INSTI% BG2_Tweaks "1220 1230"
)
findstr /I /M %SRTW%>nul
if %errorlevel%==0 (
	Call %INSTI% BG2_Tweaks "2040 2050"
)
findstr /I /M %SXTW%>nul
if %errorlevel%==0 (
	Call %INSTI% BG2_Tweaks "2090"
)
findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INSTI% BG2_Tweaks "2192"
)
findstr /I /M %SRTW%>nul
if %errorlevel%==0 (
	findstr /I /M "REFINEMENTS.TP2~.*#.*#10./" WeiDU.log>nul
	if errorlevel 1 (
		Call %INSTI% BG2_Tweaks "2200"
	)
	findstr /I /M "TDD.TP2~.*#.*#0./ BP.TP2~.*#.*#50./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%BG2_Tweaks.exe %TXT% | findstr @337 | Call %C% >> %E%
	) else (
		Call %INSTI% BG2_Tweaks "2210"
	)
	REM components 2240, 2250, 2260, 2270, 2280, 2290 will be skipped, if one of the conflicting mods is installed
	Call %INSTI% BG2_Tweaks "2240 2250"
	findstr /I /M %SPTW%>nul
	if errorlevel 1 (
		Call %INSTI% BG2_Tweaks "2260 2270 2280 2290"
	) else (
		Call %INSTI% BG2_Tweaks "2261 2271 2281 2291"
	)
)
findstr /I /M %SHTW%>nul
if %errorlevel%==0 (
	Call %INSTI% BG2_Tweaks "2300"
)
findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INSTI% BG2_Tweaks "2320 2330 2340"
)
findstr /I /M %SCTW%>nul
if %errorlevel%==0 (
	Call %INSTI% BG2_Tweaks "3050 3060 3121 3125"
)
findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	findstr /I /M "SAERILETH.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INSTI% BG2_Tweaks "3183" "TYPE bg2tweaks_with_Saerileth_input.txt"
	) else (
		Call %INSTI% BG2_Tweaks "3183" "TYPE bg2tweaks_without_Saerileth_input.txt"
	)
)
findstr /I /M %SCTK%>nul
if %errorlevel%==0 (
	Call %INSTI% BG2_Tweaks "3031 3190"
)
findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	Call %INSTI% BG2_Tweaks "4000 4010 4031 4041 4050 4061 4071 4100 4110"
)

%IFI% Call %INSTI% Turambar_fixes_tweaks "10"
findstr /I /M %SCOR%>nul
if %errorlevel%==0 (
	Call %INSTI% Turambar_fixes_tweaks "11 12 13 14 15 16 17 18 1055 1060 2000 2003"
)
findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INSTI% Turambar_fixes_tweaks "2004 2005 2007 2010 2020 2023 2050 2051 2052"
)
findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	findstr /I /M "DIVINE_REMIX.TP2~.*#.*#0./" WeiDU.log>nul
	if errorlevel 1 (
		Call %INSTI% Turambar_fixes_tweaks "2045 4010 4020 5005 5006"
	)
)

findstr /I /M %SSMQ%>nul
if %errorlevel%==0 (
	Call %INSTI% RezMod "0 1"
)
findstr /I /M %SITM%>nul
if %errorlevel%==0 (
	Call %INSTI% RezMod "2"
)
findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INSTI% RezMod "3"
	findstr /I /M "RECARGA.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INSTI% RezMod "4"
	)
)
findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INSTI% RezMod "100 101 102 103 104 105 106 107 108"
	findstr /I /M "TOBEX.TP2~.*#.*#118./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INSTI% RezMod "109"
	)
)

findstr /I /M %SBG1%>nul
if %errorlevel%==1 (
	GOTO :SKIPBG1d
)
findstr /I /M %SCOR%>nul
if %errorlevel%==0 (
	%IFG% Call %INST% JA#BGT_Tweak "0"
	Call %INSTI% JA#BGT_Tweak "2 3 6 10"
)
findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	Call %INSTI% JA#BGT_Tweak "11 12"
	findstr /I /M "NPC_TWEAK.TP2~.*#.*#1./ PHORD_DRUIDKITS.TP2~.*#.*#1./ " WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%JA#BGT_TWEAK.exe %TXT% | findstr @367 | Call %C% >> %E%
	) else (
		Call %INSTI% JA#BGT_TWEAK "14"
	)
)
findstr /I /M %SCOR%>nul
if %errorlevel%==0 (
	%IFG% Call %INST% JA#BGT_Tweak "23"
	Call %INSTI% JA#BGT_Tweak "20 21 22 24 25 26 27 28 29 31 32"
)

:SKIPBG1d
findstr /I /M %SCOR%>nul
if %errorlevel%==0 (
	findstr /I /M "SPELL_REV.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%d0tweak.exe %TXT% | findstr @339 | Call %C% >> %E%
	) else (
		Call %INSTI% d0tweak "0"
	)
	Call %INSTI% d0tweak "4 5 6"

	findstr /I /M "ITEM_REV.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%d0tweak.exe %TXT% | findstr @357 | Call %C% >> %E%
	) else (
		Call %INSTI% d0tweak "11"
	)
)
findstr /I /M %SMTW%>nul
if %errorlevel%==0 (
	%IFNS%item_rev.exe Call %INSTI% d0tweak "18"
)

findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INST% NMTP "0 2"
	findstr /I /M %SBG1%>nul
	if not errorlevel 1 (
		Call %INSTI% NMTP "3 4 5"
		Call %INST% NML "0"
	)
)

:: a string with brackets must not be nestled within a conditioned branch
echo 147 RemoveSpellRES(S:Spell*) >> override/action.ids

findstr /I /M %SMTW%>nul
if %errorlevel%==0 (
	Call %INSTI% aTweaks "100 101 102 103 110 115 125 130 140 191"
)
findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	findstr /I /M "KONTWK.TP2~.*#.*#9./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%aTweaks.exe %TXT% | findstr @360 | Call %C% >> %E%
	) else (
		Call %INSTI% aTweaks "120"
	)
)
findstr /I /M %SPTW%>nul
if %errorlevel%==0 (
	Call %INSTI% aTweaks "104 152 155 156 160 180 185 190"
)
findstr /I /M %SSTW%>nul
if %errorlevel%==0 (
	Call %INSTI% aTweaks "186 191 200 201 202 203 204 205 210 211 212"
)
findstr /I /M %SMTW%>nul
if %errorlevel%==0 (
	Call %INSTI% aTweaks "213 216 218"
)
findstr /I /M %SCPT%>nul
if %errorlevel%==0 (
	Call %INSTI% aTweaks "220 230 239"
)
findstr /I /M %SXTW%>nul
if %errorlevel%==0 (
	Call %INSTI% aTweaks "261 270"
)
findstr /I /M %SDTW%>nul
if %errorlevel%==0 (
	%IFS%ajantisbg2.exe %IF% ".\override\C#AJCUD1.bcs" move ".\override\C#AJCUD1.bcs" ".\BWP_workspace\override" | %M%
	Call %INSTI% aTweaks "324"
	%IFS%ajantisbg2.exe %IF% ".\BWP_workspace\override\C#AJCUD1.bcs" move ".\BWP_workspace\override\C#AJCUD1.bcs" ".\override" | %M%
)
findstr /I /M %SCTW%>nul
if %errorlevel%==0 (
	Call %INSTI% aTweaks "301 302 310"
)
findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INSTI% aTweaks "315 500 510 999"
)

findstr /I /M "ASHESOFEMBERS.TP2~.*#.*#4./ KONTWK.TP2~.*#.*#0./ KITANYA.TP2~.*#.*#1./" WeiDU.log>nul
if %errorlevel%==0 (
%IFS%WSR.exe %TXT% | findstr @386 | Call %C% >> %E%
) else (
	findstr /I /M %SHTW%>nul
	if not errorlevel 1 (
		Call %INSTI% WSR "200"
	)
	findstr /I /M %SITW%>nul
	if not errorlevel 1 (
		Call %INSTI% WSR "302 999"
	)
)

findstr /I /M %SHTW%>nul
if %errorlevel%==0 (
	Call %INSTI% RR "2 5"
)
findstr /I /M %SPTW%>nul
if %errorlevel%==0 (
	Call %INSTI% RR "9"
)
findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	Call %INSTI% RR "11"
)
findstr /I /M %SATW%>nul
if %errorlevel%==0 (
	Call %INSTI% RR "12"
)
findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INSTI% RR "999"
)

findstr /I /M %SCTW%>nul
if %errorlevel%==0 (
	findstr /I /M "RR.TP2~.*#.*#4./ RR.TP2~.*#.*#5./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INSTI% BardSong_BG2_IWD "1"
	) else (
		Call %INSTI% BardSong_BG2_IWD "0"
	)
)

findstr /I /M %SCPT%>nul
if %errorlevel%==0 (
	findstr /I /M "ImprSummons SpellRev" %SET%>nul
	if errorlevel 1 (
		Call %INST% gMinion "0"
	) else (
		%IFS%gMinion.exe %TXT% | findstr @147 | Call %C% >> %E%
	)
)

findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	findstr /I /M "Spell50_gMinion SpellRev" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% IMPROVEDSUMMONS "0 1 2 3 4 5 6 7 8 9 10"
	) else (
		%IFS%IMPROVEDSUMMONS.exe %TXT% | findstr @146 | Call %C% >> %E%
	)
)

findstr /I /M %SCPT%>nul
if %errorlevel%==0 (
	Call %INST% BPSERIES "0 10 100"

	findstr /I /M "STRATAGEMS.TP2~.*#.*#1000./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INST% NMRF-PC "0"
		)
	findstr /I /M "ASCENSION.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INST% NMRF-PC "1"
		)
	Call %INST% NMRF-PC "2 3"
)

findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	findstr /I /M %SXTK%>nul
	if not errorlevel 1 (
		Call %INST% DiffTweak "0"
	)
	findstr /I /M %SHTK%>nul
	if not errorlevel 1 (
		Call %INST% DiffTweak "1 8 15 22"
	)
	findstr /I /M %SSTK%>nul
	if not errorlevel 1 (
		Call %INST% DiffTweak "3 10 17 24"
	)
	findstr /I /M %SETK%>nul
	if not errorlevel 1 (
		Call %INST% DiffTweak "5 12 19 26"
	)
	findstr /I /M %SCTK%>nul
	if not errorlevel 1 (
		Call %INST% DiffTweak "7 14 21 28"
	)
)
findstr /I /M %STAC%>nul
if %errorlevel%==0 (
	findstr /I /M "STRATAGEMS.TP2~.*#.*#0./ BP.TP2~.*#.*#0./ TACTICS.TP2~.*#.*#./" WeiDU.log>nul
	if errorlevel 1 (
		findstr /I /M %SLCH%>nul
		if errorlevel 1 (
			Call %INST% DiffTweak "29 35"
		)
		findstr /I /M %SMHC%>nul
		if errorlevel 1 (
			Call %INST% DiffTweak "30 36"
		)
		findstr /I /M %SHCH%>nul
		if not errorlevel 1 (
			Call %INST% DiffTweak "31 38"
		)
		findstr /I /M %SVCH%>nul
		if not errorlevel 1 (
			Call %INST% DiffTweak "32 40"
		)
		findstr /I /M %SXCH%>nul
		if not errorlevel 1 (
			Call %INST% DiffTweak "33 41"
		)
	)
)
findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	findstr /I /M "TDD.TP2~.*#.*#0./ BP.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%DiffTweak.exe %TXT% | findstr @358 | Call %C% >> %E%
	) else (
		Call %INSTI% DiffTweak "42"
	)
)

findstr /I /M "FULLPLATE" %SET%>nul
if %errorlevel%==0 (
	Call %INST% fullplate "1 102 204"
)

findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	Call %INSTI% randomiser "1300" "TYPE randomiser_input.txt"
	Call %INSTI% randomiser "9000"
	findstr /I /M %STAC%>nul
	if not errorlevel 1 (
		Call %INSTI% randomiser "10200"
	)
	Call %INSTI% randomiser "10210"
)

findstr /I /M %SMTW%>nul
if %errorlevel%==0 (
	Call %INSTI% tb#tweaks "100 150 200 300 1250"
)
Call %INST% tb#tweaks "2050"

findstr /I /M %SRTW%>nul
if %errorlevel%==0 (
	Call %INSTI% tb#tweaks "4000 4500 5000 5500 6000 6500"
)
findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	findstr /I /M "ITEM_REV.TP2~.*#.*#15./ DIVINE_REMIX.TP2~.*#.*#403./ DIVINE_REMIX.TP2~.*#.*#409./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%tb#tweaks.exe %TXT% | findstr @373 | Call %C% >> %E%
	) else (
		Call %INSTI% tb#tweaks "7000"
	)
)

findstr /I /M %SSTW%>nul
if %errorlevel%==0 (
	findstr /I /M %SXTK%>nul
	if errorlevel 1 (
		Call %INST% tb#tweaks "9150"
	)
	findstr /I /M %SHTK%>nul
	if errorlevel 1 (
		Call %INST% tb#tweaks "9110"
	)
	findstr /I /M %SSTK%>nul
	if not errorlevel 1 (
		Call %INST% tb#tweaks "9060"
	)
	findstr /I /M %SETK%>nul
	if not errorlevel 1 (
		Call %INST% tb#tweaks "9030"
	)
	findstr /I /M %SCTK%>nul
	if not errorlevel 1 (
		Call %INST% tb#tweaks "9000"
	)
)

findstr /I /M %SSTW%>nul
if %errorlevel%==0 (
	findstr /I /M "TOBEX.TP2~.*#.*#121./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%P5Tweaks.exe %TXT% | findstr @361 | Call %C% >> %E%
	) else (
		Call %INSTI% P5Tweaks "10"
	)
	findstr /I /M "TOBEX.TP2~.*#.*#120./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%P5Tweaks.exe %TXT% | findstr @362 | Call %C% >> %E%
	) else (
		Call %INSTI% P5Tweaks "20"
	)
	findstr /I /M "TOBEX.TP2~.*#.*#122./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%P5Tweaks.exe %TXT% | findstr @363 | Call %C% >> %E%
	) else (
		Call %INSTI% P5Tweaks "40"
	)
	Call %INSTI% P5Tweaks "30 50"
	findstr /I /M "ITEM_REV.TP2~.*#.*#17./" WeiDU.log>nul
	if not errorlevel 1 (
		%IFS%P5Tweaks.exe %TXT% | findstr @364 | Call %C% >> %E%
	) else (
		Call %INSTI% P5Tweaks "60"
	)
)

findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INST% trap_rev "0"
)

findstr /I /M %SCOR%>nul
if %errorlevel%==0 (
	Call %INST% contain "10"

	Call %INST% celestiales "0 1 2"
)
%.%
%.%
%.%24. CLOSER INSTALLATION | %M%
%.%
%.%
findstr /I /M %SSTW%>nul
if %errorlevel%==0 (
        %IFS%Derats_kits.exe %IF% ".\override\PXW3CAME.SPL" move ".\override\PXW3CAME.SPL" ".\BWP_workspace\override" | %M%
	Call %INSTI% iiSpellSystemAdjustments "0" "TYPE iiSpellSystemAdjustments_0_input.txt"
        %IFS%Derats_kits.exe %IF% ".\BWP_workspace\override\PXW3CAME.SPL" move ".\BWP_workspace\override\PXW3CAME.SPL" ".\override" | %M%	
	Call %INSTI% iiSpellSystemAdjustments "1" "TYPE iiSpellSystemAdjustments_1_input.txt"
)
findstr /I /M %SXTW%>nul
if %errorlevel%==0 (
	Call %INSTI% iiSpellSystemAdjustments "2" "TYPE iiSpellSystemAdjustments_2_input.txt"
	Call %INSTI% iiSpellSystemAdjustments "3" "TYPE iiSpellSystemAdjustments_3_input.txt"
)

findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INST% iiProjectileR "2002" "TYPE iiProjectileR_input.txt"

	Call %INST% iiLearnThroughuse "2001" "TYPE iiLearnThroughUse_input.txt"
)

Call ".\%BWIP%\define_BIG.bat

:: Call %INST% aurora "40 60"
:: Does not work correctly; no mousepointer finger

findstr /I /M %SITW%>nul
if %errorlevel%==0 (
	findstr "0 1" count2.txt
	if not errorlevel 1 (
		Call %INSTI% aurora "115 170 215 247 420 470"
	)

	findstr "2 3 4 5 6 7" count2.txt
	if not errorlevel 1 (
		Call %INSTI% aurora "105 180 210 247 420 467"
	)
)

findstr /I /M %SPTW%>nul
if %errorlevel%==0 (
	Call %INSTI% aurora "500"
)
findstr /I /M %SCOR%>nul && findstr /I /M %SBG1%>nul
if %errorlevel%==0 (
	Call %INSTI% aurora "520"
)
%IFNS%infinityanimations.exe Call %INSTI% aurora "9000"

findstr /I /M "AURORA.TP2~.*#.*#0./" WeiDU.log>nul
if %errorlevel%==0 (
	Call %INST% aurpatch "0"
	Call %INST% tobaurora "0"
)

findstr /I /M %STAC%>nul && findstr /I /M %SBG1%>nul
if %errorlevel%==0 (
	Call %INST% HardTimes "0 1"
)

findstr /I /M %SPTW%>nul
if %errorlevel%==0 (
	Call %INST% polytweak "50"
)
findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	Call %INST% polytweak "60 70 80 83 85"
)
findstr /I /M %SRTW%>nul
if %errorlevel%==0 (
	Call %INST% polytweak "97"
)
findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	Call %INST% polytweak "100 150 201 300 401 500 600 700"
)
Call %INST% polytweak "800"
findstr /I /M %SPTW%>nul
if %errorlevel%==0 (
	Call %INST% polytweak "900"
)

findstr /I /M %SKTW%>nul
if %errorlevel%==0 (
	Call %INST% level1npcs "0"
	findstr /I /M "DIVINE_REMIX.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INSTI% level1npcs "1" "TYPE level1npcs_with_Druid_Remix_input.txt"
	) else (
		Call %INSTI% level1npcs "1" "TYPE level1npcs_without_Druid_Remix_input.txt"
	)
	Call %INSTI% level1npcs "3 51 55 60 100"

	REM The regular expressions from Level1NPC don't consider the additions ("tF" and "tw") to the names made by Refinements and thus they corrupt the lines.
	findstr /I /M "REFINEMENTS.TP2~.*#.*#10./" WeiDU.log>nul
	if not errorlevel 1 (
		copy ".\level1npcs\backup\0\kit.ids" ".\override" | %M%
	)
)

%IFS%w_psionics_unleashed.exe Call ".\%BWIP%\edit_string_w_psionics.bat
findstr /I /M %SRTW%>nul
if %errorlevel%==0 (
	findstr /I /M %SBET%>nul
	if not errorlevel 1 (
		%IFS%Derats_kits.exe %IF% ".\override\PXW3CAME.SPL" move ".\override\PXW3CAME.SPL" ".\BWP_workspace\override" | %M%
		Call %INST% w_psionics_unleashed "10 61"
		%IFS%Derats_kits.exe %IF% ".\BWP_workspace\override\PXW3CAME.SPL" move ".\BWP_workspace\override\PXW3CAME.SPL" ".\override" | %M%
	)
)

findstr /I /M %SXTW%>nul
if %errorlevel%==0 (
	findstr "0 1" count2.txt
	if not errorlevel 1 (
		Call %INST% xpmod "0 11"
	)
	findstr "2 3 4 5 6 7" count2.txt
	if not errorlevel 1 (
		Call %INST% xpmod "1 12"
	)

	findstr /I /M %SBG1%>nul
	if not errorlevel 1 (
		findstr /I /M "SETUP-ATWEAKS.TP2~.*#.*#261./" WeiDU.log>nul
		if not errorlevel 1 (
			Call %INSTI% BP-Balancer "1 6 11"
		) else (
			Call %INSTI% BP-Balancer "2 7 12"
		)
		Call %INSTI% BP-Balancer "16 17 21 24 27 30"
	)
)

findstr /I /M %SRTW%>nul
if %errorlevel%==0 (
	Call %INST% Virtue "0"

	findstr /I /M "VIRTUE.TP2~.*#.*#0./" WeiDU.log>nul
	if not errorlevel 1 (
		Call %INST% gloran "1"
	)
)

findstr /I /M %SRES%>nul
if %errorlevel%==0 (
	Call %INST% sarerestore "0"
)

findstr /I /M %SGTW%>nul
if %errorlevel%==0 (
	findstr /I /M "bg1npcscs" %SET%>nul
	if errorlevel 1 (
		Call %INSTI% bg1npcbeg "110 120 130 140 150 160 170 180 190 200 210"
	) else (
		%IFS%bg1npcbeg.exe %TXT% | findstr @406 | Call %C% >> %E%
	)
)

findstr /I /M "1PP.TP2~.*#.*#203./ 1PP.TP2~.*#.*#204./" WeiDU.log>nul && findstr /I /M %SBG1%>nul
if %errorlevel%==0 (
	%IFS%infinityanimations.exe %TXT% | findstr @385 | Call %C% >> %E%
) else (
	Call %INSTI% infinityanimations "8030 9520"
)

findstr /I /M "INFINITYANIMATIONS.TP2~.*#.*#0./" WeiDU.log>nul
if %errorlevel%==0 (
	copy /Y ".\%BWFP%\_override\infinityanimations\*.*" ".\override" | %M%
)

findstr /I /M %SPOR%>nul
if %errorlevel%==0 (
	Call %INSTI% NSCPortraits "0 1 10 20 21 30 50 300 305 310 1000 1001 1030 1031 1050 1051 1300 1310 1320 1330 1340 1350 1360 1370 1380 1390 1400 1410 1420 1430 1440 1450 1470 1480 1490 1500 1510 1520 1530 1540 1780 2000 2010 3000 3010 5000 5010"
)

Call %INST% BP-BGT-Worldmap "0" "TYPE BP-BGT-Worldmap_input.txt"
Call %INST% BP-BGT-Worldmap "1"

Call %INSTI% BG2_Tweaks "3220"

Call %INST% mapnames "0 25"

:: Call %INST% 1pp_hq_music_BGT "0"

findstr /I /M "BGT.TP2~.*#.*#0./" WeiDU.log>nul
if %errorlevel%==0 (
	Call ".\%BWIP%\define_GUI.bat
) else (
	GOTO :SKIPGUI
)

FOR /F %%a IN ('type GUI_input.txt') DO Call %INST% GUI "%%a"

:SKIPGUI

findstr /I /M "TUTUGUI" %SET%>nul
if %errorlevel%==0 (
	Call %INST% TutuGUI "0"
	%IF% BWP_widescreen_input.txt Call %INST% TutuGUI "1"
)

findstr /I /M "W_GUI" %SET%>nul
if %errorlevel%==0 (
	Call %INST% W_GUI "0 11"
)

%NMAC% %IF% BWP_widescreen_input.txt Call %INST% widescreen "0" "TYPE BWP_widescreen_input.txt"

Call %INST% crefixer "0"

%IFS%LongerRoad.exe %IF% ".\override\ahjon.BCS" move ".\override\ahjon.BCS" ".\BWP_workspace\override" | %M%
%IFNS%BPSeries.exe Call %INST% Innate_Fix "0"
%IFS%LongerRoad.exe %IF% ".\BWP_workspace\override\ahjon.BCS" move ".\BWP_workspace\override\ahjon.BCS" ".\override" | %M%

Call %INST% poison_effect_supplement "0"

%IF% lolfixer_ONLY_DEBUG_MODE.bat (
	%IF% StopLBar del StopLBar
	start "pulse bar" "%BWIP%\pulse_bar.bat"
	rem Without a title the directory will be misinterpreted when it is enclosed in quotation marks.
	rem call lolfixer_ONLY_DEBUG_MODE.bat
	type NUL> StopLBar
)
Call %INSTI% lolfixer "0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15"

Call ".\%BWIP%\close.bat"

:: Copyright 2008/2009/2010/2011/2012/2013/2014/2015 by Leonardo Watson
:: This file or parts of it may not be copied or changed without permission.